{!Wrapper uses FHIRBase, FHIRBase_Wrapper, FHIRTypes, FHIRTypes_Wrapper, FHIRComponents, FHIRComponents_Wrapper, FHIRResources, FHIRResources_Wrapper}
{!ignore ALL_RESOURCE_TYPES}

unit FHIRConstants;

{
  Copyright (c) 2011+, HL7, Inc.
  All rights reserved.
  
  Redistribution and use in source and binary forms, with or without modification, 
  are permitted provided that the following conditions are met:
  
   * Redistributions of source code must retain the above copyright notice, this 
     list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright notice, 
     this list of conditions and the following disclaimer in the documentation 
     and/or other materials provided with the distribution.
   * Neither the name of HL7 nor the names of its contributors may be used to 
     endorse or promote products derived from this software without specific 
     prior written permission.
  
  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND 
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, 
  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT 
  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
  POSSIBILITY OF SUCH DAMAGE.
  
}


{$IFDEF FHIR-DSTU}
This is the dev branch of the FHIR code
{$ENDIF}

interface

// FHIR v0.5.0 generated Fri, Apr 3, 2015 14:24+1100

uses
  SysUtils, Classes, StringSupport, DecimalSupport, AdvBuffers, DateAndTime, FHIRBase, FHIRTypes, FHIRComponents, FHIRResources;

Const
  CODES_TFhirResourceType : Array[TFhirResourceType] of String = ('', 'AllergyIntolerance', 'Appointment', 'AppointmentResponse', 'AuditEvent', 'Basic', 'Binary', 'BodySite', 'Bundle', 'CarePlan', 'Claim', 'ClaimResponse', 'ClinicalImpression', 'Communication', 'CommunicationRequest', 'Composition', 'ConceptMap', 'Condition', 'Conformance', 'Contract', 'Contraindication', 'Coverage', 'DataElement', 'Device', 'DeviceComponent', 'DeviceMetric', 'DeviceUseRequest', 'DeviceUseStatement', 'DiagnosticOrder', 'DiagnosticReport', 'DocumentManifest', 'DocumentReference', 'EligibilityRequest', 'EligibilityResponse', 'Encounter', 'EnrollmentRequest', 'EnrollmentResponse', 'EpisodeOfCare', 'ExplanationOfBenefit', 'FamilyMemberHistory', 'Flag', 'Goal', 'Group', 'HealthcareService', 'ImagingObjectSelection', 'ImagingStudy', 'Immunization', 'ImmunizationRecommendation', 'List', 'Location', 'Media', 'Medication', 'MedicationAdministration', 'MedicationDispense', 'MedicationPrescription', 'MedicationStatement', 'MessageHeader', 'NamingSystem', 'NutritionOrder', 'Observation', 'OperationDefinition', 'OperationOutcome', 'Order', 'OrderResponse', 'Organization', 'Parameters', 'Patient', 'PaymentNotice', 'PaymentReconciliation', 'Person', 'Practitioner', 'Procedure', 'ProcedureRequest', 'ProcessRequest', 'ProcessResponse', 'Provenance', 'Questionnaire', 'QuestionnaireAnswers', 'ReferralRequest', 'RelatedPerson', 'RiskAssessment', 'Schedule', 'SearchParameter', 'Slot', 'Specimen', 'StructureDefinition', 'Subscription', 'Substance', 'Supply', 'ValueSet', 'VisionPrescription');
  PLURAL_CODES_TFhirResourceType : Array[TFhirResourceType] of String = ('', 'allergyintolerances',
     'appointments',
     'appointmentresponses',
     'auditevents',
     'basics',
     'binaries',
     'bodysites',
     'bundles',
     'careplans',
     'claims',
     'claimresponses',
     'clinicalimpressions',
     'communications',
     'communicationrequests',
     'compositions',
     'conceptmaps',
     'conditions',
     'conformances',
     'contracts',
     'contraindications',
     'coverages',
     'dataelements',
     'devices',
     'devicecomponents',
     'devicemetrics',
     'deviceuserequests',
     'deviceusestatements',
     'diagnosticorders',
     'diagnosticreports',
     'documentmanifests',
     'documentreferences',
     'eligibilityrequests',
     'eligibilityresponses',
     'encounters',
     'enrollmentrequests',
     'enrollmentresponses',
     'episodeofcares',
     'explanationofbenefits',
     'familymemberhistories',
     'flags',
     'goals',
     'groups',
     'healthcareservices',
     'imagingobjectselections',
     'imagingstudies',
     'immunizations',
     'immunizationrecommendations',
     'lists',
     'locations',
     'media',
     'medications',
     'medicationadministrations',
     'medicationdispenses',
     'medicationprescriptions',
     'medicationstatements',
     'messageheaders',
     'namingsystems',
     'nutritionorders',
     'observations',
     'operationdefinitions',
     'operationoutcomes',
     'orders',
     'orderresponses',
     'organizations',
     'parameters',
     'patients',
     'paymentnotices',
     'paymentreconciliations',
     'people',
     'practitioners',
     'procedures',
     'procedurerequests',
     'processrequests',
     'processresponses',
     'provenances',
     'questionnaires',
     'questionnaireanswers',
     'referralrequests',
     'relatedpeople',
     'riskassessments',
     'schedules',
     'searchparameters',
     'slots',
     'specimen',
     'structuredefinitions',
     'subscriptions',
     'substances',
     'supplies',
     'valuesets',
     'visionprescriptions');
     
  LOWERCASE_CODES_TFhirResourceType : Array[TFhirResourceType] of String = ('', 'allergyintolerance',
     'appointment',
     'appointmentresponse',
     'auditevent',
     'basic',
     'binary',
     'bodysite',
     'bundle',
     'careplan',
     'claim',
     'claimresponse',
     'clinicalimpression',
     'communication',
     'communicationrequest',
     'composition',
     'conceptmap',
     'condition',
     'conformance',
     'contract',
     'contraindication',
     'coverage',
     'dataelement',
     'device',
     'devicecomponent',
     'devicemetric',
     'deviceuserequest',
     'deviceusestatement',
     'diagnosticorder',
     'diagnosticreport',
     'documentmanifest',
     'documentreference',
     'eligibilityrequest',
     'eligibilityresponse',
     'encounter',
     'enrollmentrequest',
     'enrollmentresponse',
     'episodeofcare',
     'explanationofbenefit',
     'familymemberhistory',
     'flag',
     'goal',
     'group',
     'healthcareservice',
     'imagingobjectselection',
     'imagingstudy',
     'immunization',
     'immunizationrecommendation',
     'list',
     'location',
     'media',
     'medication',
     'medicationadministration',
     'medicationdispense',
     'medicationprescription',
     'medicationstatement',
     'messageheader',
     'namingsystem',
     'nutritionorder',
     'observation',
     'operationdefinition',
     'operationoutcome',
     'order',
     'orderresponse',
     'organization',
     'parameters',
     'patient',
     'paymentnotice',
     'paymentreconciliation',
     'person',
     'practitioner',
     'procedure',
     'procedurerequest',
     'processrequest',
     'processresponse',
     'provenance',
     'questionnaire',
     'questionnaireanswers',
     'referralrequest',
     'relatedperson',
     'riskassessment',
     'schedule',
     'searchparameter',
     'slot',
     'specimen',
     'structuredefinition',
     'subscription',
     'substance',
     'supply',
     'valueset',
     'visionprescription');
     
  CLASSES_TFhirResourceType : Array[TFhirResourceType] of TFhirResourceClass = (nil, TFhirAllergyIntolerance,
     TFhirAppointment,
     TFhirAppointmentResponse,
     TFhirAuditEvent,
     TFhirBasic,
     TFhirBinary,
     TFhirBodySite,
     TFhirBundle,
     TFhirCarePlan,
     TFhirClaim,
     TFhirClaimResponse,
     TFhirClinicalImpression,
     TFhirCommunication,
     TFhirCommunicationRequest,
     TFhirComposition,
     TFhirConceptMap,
     TFhirCondition,
     TFhirConformance,
     TFhirContract,
     TFhirContraindication,
     TFhirCoverage,
     TFhirDataElement,
     TFhirDevice,
     TFhirDeviceComponent,
     TFhirDeviceMetric,
     TFhirDeviceUseRequest,
     TFhirDeviceUseStatement,
     TFhirDiagnosticOrder,
     TFhirDiagnosticReport,
     TFhirDocumentManifest,
     TFhirDocumentReference,
     TFhirEligibilityRequest,
     TFhirEligibilityResponse,
     TFhirEncounter,
     TFhirEnrollmentRequest,
     TFhirEnrollmentResponse,
     TFhirEpisodeOfCare,
     TFhirExplanationOfBenefit,
     TFhirFamilyMemberHistory,
     TFhirFlag,
     TFhirGoal,
     TFhirGroup,
     TFhirHealthcareService,
     TFhirImagingObjectSelection,
     TFhirImagingStudy,
     TFhirImmunization,
     TFhirImmunizationRecommendation,
     TFhirList,
     TFhirLocation,
     TFhirMedia,
     TFhirMedication,
     TFhirMedicationAdministration,
     TFhirMedicationDispense,
     TFhirMedicationPrescription,
     TFhirMedicationStatement,
     TFhirMessageHeader,
     TFhirNamingSystem,
     TFhirNutritionOrder,
     TFhirObservation,
     TFhirOperationDefinition,
     TFhirOperationOutcome,
     TFhirOrder,
     TFhirOrderResponse,
     TFhirOrganization,
     TFhirParameters,
     TFhirPatient,
     TFhirPaymentNotice,
     TFhirPaymentReconciliation,
     TFhirPerson,
     TFhirPractitioner,
     TFhirProcedure,
     TFhirProcedureRequest,
     TFhirProcessRequest,
     TFhirProcessResponse,
     TFhirProvenance,
     TFhirQuestionnaire,
     TFhirQuestionnaireAnswers,
     TFhirReferralRequest,
     TFhirRelatedPerson,
     TFhirRiskAssessment,
     TFhirSchedule,
     TFhirSearchParameter,
     TFhirSlot,
     TFhirSpecimen,
     TFhirStructureDefinition,
     TFhirSubscription,
     TFhirSubstance,
     TFhirSupply,
     TFhirValueSet,
     TFhirVisionPrescription);
     
  ALL_RESOURCE_TYPES = [frtAllergyIntolerance,
     frtAppointment,
     frtAppointmentResponse,
     frtAuditEvent,
     frtBasic,
     frtBinary,
     frtBodySite,
     frtBundle,
     frtCarePlan,
     frtClaim,
     frtClaimResponse,
     frtClinicalImpression,
     frtCommunication,
     frtCommunicationRequest,
     frtComposition,
     frtConceptMap,
     frtCondition,
     frtConformance,
     frtContract,
     frtContraindication,
     frtCoverage,
     frtDataElement,
     frtDevice,
     frtDeviceComponent,
     frtDeviceMetric,
     frtDeviceUseRequest,
     frtDeviceUseStatement,
     frtDiagnosticOrder,
     frtDiagnosticReport,
     frtDocumentManifest,
     frtDocumentReference,
     frtEligibilityRequest,
     frtEligibilityResponse,
     frtEncounter,
     frtEnrollmentRequest,
     frtEnrollmentResponse,
     frtEpisodeOfCare,
     frtExplanationOfBenefit,
     frtFamilyMemberHistory,
     frtFlag,
     frtGoal,
     frtGroup,
     frtHealthcareService,
     frtImagingObjectSelection,
     frtImagingStudy,
     frtImmunization,
     frtImmunizationRecommendation,
     frtList,
     frtLocation,
     frtMedia,
     frtMedication,
     frtMedicationAdministration,
     frtMedicationDispense,
     frtMedicationPrescription,
     frtMedicationStatement,
     frtMessageHeader,
     frtNamingSystem,
     frtNutritionOrder,
     frtObservation,
     frtOperationDefinition,
     frtOperationOutcome,
     frtOrder,
     frtOrderResponse,
     frtOrganization,
     frtParameters,
     frtPatient,
     frtPaymentNotice,
     frtPaymentReconciliation,
     frtPerson,
     frtPractitioner,
     frtProcedure,
     frtProcedureRequest,
     frtProcessRequest,
     frtProcessResponse,
     frtProvenance,
     frtQuestionnaire,
     frtQuestionnaireAnswers,
     frtReferralRequest,
     frtRelatedPerson,
     frtRiskAssessment,
     frtSchedule,
     frtSearchParameter,
     frtSlot,
     frtSpecimen,
     frtStructureDefinition,
     frtSubscription,
     frtSubstance,
     frtSupply,
     frtValueSet,
     frtVisionPrescription];
     

  COMPARTMENT_PARAM_NAMES : Array[TFhirResourceType, TFhirResourceType] of String = (('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
     ('', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', ''),
('', '', 'actor', 'actor', 'participant', '', '', '', '', '', '', '', '', 'sender | recipient', 'sender | recipient', 'author', '', '', '', 'actor', 'author', '', '', '{def}', 'source', 'source', 'device', 'device', 'actor | subject'
      , 'subject', 'subject | author', 'subject | author', '', '', '', '', '', '', '', '', 'author', '', 'member', '', 'author', '', '', '', 'subject | source', '', 'subject', '', 'device', '', '', '', 'target', '', '', 'subject | device', '', '', 'target', 'who'
      , '', '', '', '', '', '', '', '', 'orderer', '', '', 'party', '', 'author', '', '', 'performer', 'actor', '', '', 'subject', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', 'encounter', 'encounter'
      , 'encounter', '', 'encounter', '', '', '', '', '', '', '', '', '', '', 'encounter', 'encounter', '', '', '', '', '{def}', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', 'encounter', '', 'encounter', '', '', '', 'encounter', 'encounter'
      , '', '', '', '', '', '', '', '', '', '', '', 'encounter', 'encounter', '', '', '', '', 'encounter', '', '', '', '', '', '', '', '', '', '', '', '', 'encounter'),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      ),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', 'patient | recorder | reporter', 'actor', 'actor', 'patient | participant', 'patient | author', '', 'patient', '', 'patient | participant | performer'
      , 'patient', '', 'patient', 'subject | sender | recipient', 'subject | sender | recipient | requester', 'subject | author | attester', '', 'subject', '', 'subject | signer | actor', 'patient', '', '', '', '', '', 'subject', 'subject', 'subject', 'subject', 'subject | author | recipient'
      , 'subject | author', '', '', 'patient', 'subject', '', 'patient', '', 'patient', 'subject', 'patient', 'member', '', 'patient | author', 'patient', 'subject', 'subject', 'subject | source', '', 'subject', '', 'patient', 'patient', 'patient', 'patient | source'
      , '', '', 'patient', 'subject | performer', '', '', 'subject', 'patient', '', '', 'link', '', '', 'patient', '', 'patient | performer', 'subject | orderer | performer', '', '', 'target.subject | target.patient | patient', '', 'subject | author', 'patient | requester'
      , 'patient', 'subject', 'actor', '', '', 'subject', '', '', '', 'patient', '', 'patient'),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', 'recorder | reporter', 'actor', 'actor', 'participant', 'author', '', '', '', 'participant | performer'
      , 'provider', '', 'assessor', 'sender | recipient', 'sender | recipient | requester', 'subject | author | attester', '', 'asserter', '', 'actor | signer', 'author', '', '', '', '', '', '', '', 'actor | orderer', 'performer', 'subject | author | recipient', 'subject | author | authenticator'
      , '', '', 'practitioner | participant', '', '', 'care-manager | team-member', '', '', 'author', '', 'member', '', 'author', '', 'performer | requester', '', 'source', '', 'subject | operator', '', 'practitioner', 'dispenser | receiver | responsibleparty', 'prescriber'
      , 'source', 'receiver | author | responsible | enterer', '', 'provider', 'performer', '', '', 'source | target', 'who', '', '', 'careprovider', '', '', 'practitioner', '{def}', 'performer', 'performer | orderer', 'provider', 'requestprovider', 'party', '', 'author | source'
      , 'requester | recipient', '', 'performer', 'actor', '', '', 'collector', '', '', '', 'supplier', '', 'prescriber'),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''),
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''
      , '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', ''));

  CODES_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'category', 'criticality', 'date', 'duration', 'identifier', 'last-date', 'manifestation', 'onset', 'patient', 'recorder', 'reporter', 'route', 'severity', 'status', 'substance', 'type');
  DESC_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'food | medication | environment - Category of Substance',
     'low | high | unassessible - Estimated potential clinical harm',
     'When recorded',
     'How long Manifestations persisted',
     'External Ids for this item',
     'Date(/time) of last known occurence of a reaction',
     'Clinical symptoms/signs associated with the Event',
     'Date(/time) when manifestations showed',
     'Who the sensitivity is for',
     'Who recorded the sensitivity',
     'Source of the information about the allergy',
     'How the subject was exposed to the substance',
     'mild | moderate | severe (of event as a whole)',
     'unconfirmed | confirmed | resolved | refuted | entered-in-error',
     'Substance, (or class) considered to be responsible for risk',
     'immune | non-immune - Underlying mechanism (if known)');
  TYPES_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeQuantity,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of TSearchParamsAllergyIntolerance = ( spAllergyIntolerance__id,  spAllergyIntolerance__language,  spAllergyIntolerance__lastUpdated,  spAllergyIntolerance__profile,  spAllergyIntolerance__security, 
      //  spAllergyIntolerance__tag,  spAllergyIntolerance_Category,  spAllergyIntolerance_Criticality,  spAllergyIntolerance_Date,  spAllergyIntolerance_Duration,  spAllergyIntolerance_Identifier,  spAllergyIntolerance_Last_date,  spAllergyIntolerance_Manifestation, 
      //  spAllergyIntolerance_Onset,  spAllergyIntolerance_Patient,  spAllergyIntolerance_Recorder,  spAllergyIntolerance_Reporter,  spAllergyIntolerance_Route,  spAllergyIntolerance_Severity,  spAllergyIntolerance_Status,  spAllergyIntolerance_Substance,  spAllergyIntolerance_Type);
  PATHS_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'category: []',
     'criticality: []',
     'date: []',
     'duration: []',
     'identifier: []',
     'last-date: []',
     'manifestation: []',
     'onset: []',
     'patient: [frtPatient]',
     'recorder: [frtPatient, frtPractitioner]',
     'reporter: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'route: []',
     'severity: []',
     'status: []',
     'substance: []',
     'type: []');
  TARGETS_TSearchParamsAllergyIntolerance : Array[TSearchParamsAllergyIntolerance] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtPatient], [frtPatient, frtPractitioner], [frtPatient, frtPractitioner, frtRelatedPerson], [], [], [], [], []);
  CODES_TSearchParamsAppointment : Array[TSearchParamsAppointment] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'actor', 'date', 'location', 'partstatus', 'patient', 'practitioner', 'status');
  DESC_TSearchParamsAppointment : Array[TSearchParamsAppointment] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Any one of the individuals participating in the appointment',
     'Appointment date/time.',
     'This location is listed in the participants of the appointment',
     'The Participation status of the subject, or other participant on the appointment. Can be used to locate participants that have not responded to meeting requests.',
     'One of the individuals of the appointment is this patient',
     'One of the individuals of the appointment is this practitioner',
     'The overall status of the appointment');
  TYPES_TSearchParamsAppointment : Array[TSearchParamsAppointment] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsAppointment : Array[TSearchParamsAppointment] of TSearchParamsAppointment = ( spAppointment__id,  spAppointment__language,  spAppointment__lastUpdated,  spAppointment__profile,  spAppointment__security,  spAppointment__tag,  spAppointment_Actor, 
      //  spAppointment_Date,  spAppointment_Location,  spAppointment_Partstatus,  spAppointment_Patient,  spAppointment_Practitioner,  spAppointment_Status);
  PATHS_TSearchParamsAppointment : Array[TSearchParamsAppointment] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'actor: [frtDevice, frtLocation, frtHealthcareService, frtPatient, frtPractitioner, frtRelatedPerson]',
     'date: []',
     'location: [frtLocation]',
     'partstatus: []',
     'patient: [frtPatient]',
     'practitioner: [frtPractitioner]',
     'status: []');
  TARGETS_TSearchParamsAppointment : Array[TSearchParamsAppointment] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice, frtLocation, frtHealthcareService, frtPatient, frtPractitioner, frtRelatedPerson], [], [frtLocation], [], [frtPatient], [frtPractitioner], []);
  CODES_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'actor', 'appointment', 'location', 'partstatus', 'patient', 'practitioner');
  DESC_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The Person, Location/HealthcareService or Device that this appointment response replies for',
     'The appointment that the response is attached to',
     'This Response is for this Location',
     'The participants acceptance status for this appointment',
     'This Response is for this Patient',
     'This Response is for this Practitioner');
  TYPES_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of TSearchParamsAppointmentResponse = ( spAppointmentResponse__id,  spAppointmentResponse__language,  spAppointmentResponse__lastUpdated,  spAppointmentResponse__profile, 
      //  spAppointmentResponse__security,  spAppointmentResponse__tag,  spAppointmentResponse_Actor,  spAppointmentResponse_Appointment,  spAppointmentResponse_Location,  spAppointmentResponse_Partstatus,  spAppointmentResponse_Patient,  spAppointmentResponse_Practitioner);
  PATHS_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'actor: [frtDevice, frtLocation, frtHealthcareService, frtPatient, frtPractitioner, frtRelatedPerson]',
     'appointment: [frtAppointment]',
     'location: [frtLocation]',
     'partstatus: []',
     'patient: [frtPatient]',
     'practitioner: [frtPractitioner]');
  TARGETS_TSearchParamsAppointmentResponse : Array[TSearchParamsAppointmentResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice, frtLocation, frtHealthcareService, frtPatient, frtPractitioner, frtRelatedPerson], [frtAppointment], [frtLocation], [], [frtPatient], [frtPractitioner]);
  CODES_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'action', 'address', 'altid', 'date', 'desc', 'identity', 'name', 'object-type', 'participant', 'patient', 'patientid', 'policy', 'reference', 'site', 'source', 'subtype', 'type', 'user');
  DESC_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Type of action performed during the event',
     'Identifier for the network access point of the user device',
     'Alternative User id e.g. authentication',
     'Time when the event occurred on source',
     'Instance-specific descriptor for Object',
     'Specific instance of object (e.g. versioned)',
     'Human-meaningful name for the user',
     'Type of object involved',
     'Direct reference to resource',
     'A patient that the .object.reference refers to',
     'The id of the patient (one of multiple kinds of participations)',
     'Policy that authorized event',
     'Specific instance of resource (e.g. versioned)',
     'Logical source location within the enterprise',
     'The id of source where event originated',
     'More specific type/id for the event',
     'Type/identifier of event',
     'Unique identifier for the user');
  TYPES_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of TSearchParamsAuditEvent = ( spAuditEvent__id,  spAuditEvent__language,  spAuditEvent__lastUpdated,  spAuditEvent__profile,  spAuditEvent__security,  spAuditEvent__tag,  spAuditEvent_Action, 
      //  spAuditEvent_Address,  spAuditEvent_Altid,  spAuditEvent_Date,  spAuditEvent_Desc,  spAuditEvent_Identity,  spAuditEvent_Name,  spAuditEvent_Object_type,  spAuditEvent_Participant,  spAuditEvent_Patient,  spAuditEvent_Patientid,  spAuditEvent_Policy, 
      //  spAuditEvent_Reference,  spAuditEvent_Site,  spAuditEvent_Source,  spAuditEvent_Subtype,  spAuditEvent_Type,  spAuditEvent_User);
  PATHS_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'action: []',
     'address: []',
     'altid: []',
     'date: []',
     'desc: []',
     'identity: []',
     'name: []',
     'object-type: []',
     'participant: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'patient: [frtPatient]',
     'patientid: []',
     'policy: []',
     'reference: ALL_RESOURCE_TYPES',
     'site: []',
     'source: []',
     'subtype: []',
     'type: []',
     'user: []');
  TARGETS_TSearchParamsAuditEvent : Array[TSearchParamsAuditEvent] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [frtPatient], [], [], ALL_RESOURCE_TYPES, [], [], [], [], []);
  CODES_TSearchParamsBasic : Array[TSearchParamsBasic] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'author', 'code', 'created', 'patient', 'subject');
  DESC_TSearchParamsBasic : Array[TSearchParamsBasic] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Who created',
     'Kind of Resource',
     'When created',
     'Identifies the',
     'Identifies the');
  TYPES_TSearchParamsBasic : Array[TSearchParamsBasic] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken, 
       SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsBasic : Array[TSearchParamsBasic] of TSearchParamsBasic = ( spBasic__id,  spBasic__language,  spBasic__lastUpdated,  spBasic__profile,  spBasic__security,  spBasic__tag,  spBasic_Author,  spBasic_Code,  spBasic_Created,  spBasic_Patient, 
      //  spBasic_Subject);
  PATHS_TSearchParamsBasic : Array[TSearchParamsBasic] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'author: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'code: []',
     'created: []',
     'patient: [frtPatient]',
     'subject: ALL_RESOURCE_TYPES');
  TARGETS_TSearchParamsBasic : Array[TSearchParamsBasic] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtPatient, frtPractitioner, frtRelatedPerson], [], [], [frtPatient], ALL_RESOURCE_TYPES);
  CODES_TSearchParamsBinary : Array[TSearchParamsBinary] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'contenttype');
  DESC_TSearchParamsBinary : Array[TSearchParamsBinary] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'MimeType of the binary content');
  TYPES_TSearchParamsBinary : Array[TSearchParamsBinary] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsBinary : Array[TSearchParamsBinary] of TSearchParamsBinary = ( spBinary__id,  spBinary__language,  spBinary__lastUpdated,  spBinary__profile,  spBinary__security,  spBinary__tag,  spBinary_Contenttype);
  PATHS_TSearchParamsBinary : Array[TSearchParamsBinary] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'contenttype: []');
  TARGETS_TSearchParamsBinary : Array[TSearchParamsBinary] of TFhirResourceTypeSet = ([], [], [], [], [], [], []);
  CODES_TSearchParamsBodySite : Array[TSearchParamsBodySite] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'code', 'patient');
  DESC_TSearchParamsBodySite : Array[TSearchParamsBodySite] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Named anatomical location',
     'Patient to whom bodysite belongs');
  TYPES_TSearchParamsBodySite : Array[TSearchParamsBodySite] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsBodySite : Array[TSearchParamsBodySite] of TSearchParamsBodySite = ( spBodySite__id,  spBodySite__language,  spBodySite__lastUpdated,  spBodySite__profile,  spBodySite__security,  spBodySite__tag,  spBodySite_Code,  spBodySite_Patient);
  PATHS_TSearchParamsBodySite : Array[TSearchParamsBodySite] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'code: []',
     'patient: [frtPatient]');
  TARGETS_TSearchParamsBodySite : Array[TSearchParamsBodySite] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtPatient]);
  CODES_TSearchParamsBundle : Array[TSearchParamsBundle] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'composition', 'message', 'type');
  DESC_TSearchParamsBundle : Array[TSearchParamsBundle] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The first resource in the bundle, if the bundle type is "document" - this is a composition, and this parameter provides access to searches its contents',
     'The first resource in the bundle, if the bundle type is "message" - this is a message header, and this parameter provides access to search its contents',
     'document | message | transaction | transaction-response | history | searchset | collection');
  TYPES_TSearchParamsBundle : Array[TSearchParamsBundle] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference, 
       SearchParamTypeToken);
//  CHECK_TSearchParamsBundle : Array[TSearchParamsBundle] of TSearchParamsBundle = ( spBundle__id,  spBundle__language,  spBundle__lastUpdated,  spBundle__profile,  spBundle__security,  spBundle__tag,  spBundle_Composition,  spBundle_Message,  spBundle_Type);
  PATHS_TSearchParamsBundle : Array[TSearchParamsBundle] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'composition: [frtComposition]',
     'message: [frtMessageHeader]',
     'type: []');
  TARGETS_TSearchParamsBundle : Array[TSearchParamsBundle] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtComposition], [frtMessageHeader], []);
  CODES_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'activitycode', 'activitydate', 'activityreference', 'condition', 'date', 'goal', 'participant', 'patient', 'performer');
  DESC_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Detail type of activity',
     'Specified date occurs within period specified by CarePlan.activity.timingSchedule',
     'Activity details defined in specific resource',
     'Health issues this plan addresses',
     'Time period plan covers',
     'Desired outcome of plan',
     'Who is involved',
     'Who care plan is for',
     'Matches if the practitioner is listed as a performer in any of the "simple" activities.  (For performers of the detailed activities, chain through the activitydetail search parameter.)');
  TYPES_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of TSearchParamsCarePlan = ( spCarePlan__id,  spCarePlan__language,  spCarePlan__lastUpdated,  spCarePlan__profile,  spCarePlan__security,  spCarePlan__tag,  spCarePlan_Activitycode,  spCarePlan_Activitydate, 
      //  spCarePlan_Activityreference,  spCarePlan_Condition,  spCarePlan_Date,  spCarePlan_Goal,  spCarePlan_Participant,  spCarePlan_Patient,  spCarePlan_Performer);
  PATHS_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'activitycode: []',
     'activitydate: []',
     'activityreference: [frtSupply, frtReferralRequest, frtProcedureRequest, frtAppointment, frtCommunicationRequest, frtMedicationPrescription, frtOrder, frtVisionPrescription, frtProcessRequest, frtDeviceUseRequest, frtNutritionOrder, frtDiagnosticOrder]',
     'condition: [frtCondition]',
     'date: []',
     'goal: [frtGoal]',
     'participant: [frtOrganization, frtPatient, frtPractitioner, frtRelatedPerson]',
     'patient: [frtPatient]',
     'performer: [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]');
  TARGETS_TSearchParamsCarePlan : Array[TSearchParamsCarePlan] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtSupply, frtReferralRequest, frtProcedureRequest, frtAppointment, frtCommunicationRequest, frtMedicationPrescription, frtOrder, frtVisionPrescription, frtProcessRequest, frtDeviceUseRequest, frtNutritionOrder, frtDiagnosticOrder], [frtCondition], [], [frtGoal], [frtOrganization, frtPatient, frtPractitioner, frtRelatedPerson], [frtPatient], [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]);
  CODES_TSearchParamsClaim : Array[TSearchParamsClaim] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier', 'patient', 'priority', 'provider', 'use');
  DESC_TSearchParamsClaim : Array[TSearchParamsClaim] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The primary identifier of the financial resource',
     'Patient',
     'Processing priority requested',
     'Provider responsible for the claim',
     'The kind of financial resource');
  TYPES_TSearchParamsClaim : Array[TSearchParamsClaim] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsClaim : Array[TSearchParamsClaim] of TSearchParamsClaim = ( spClaim__id,  spClaim__language,  spClaim__lastUpdated,  spClaim__profile,  spClaim__security,  spClaim__tag,  spClaim_Identifier,  spClaim_Patient,  spClaim_Priority, 
      //  spClaim_Provider,  spClaim_Use);
  PATHS_TSearchParamsClaim : Array[TSearchParamsClaim] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []',
     'patient: [frtPatient]',
     'priority: []',
     'provider: [frtPractitioner]',
     'use: []');
  TARGETS_TSearchParamsClaim : Array[TSearchParamsClaim] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtPatient], [], [frtPractitioner], []);
  CODES_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier');
  DESC_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The identity of the insurer');
  TYPES_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of TSearchParamsClaimResponse = ( spClaimResponse__id,  spClaimResponse__language,  spClaimResponse__lastUpdated,  spClaimResponse__profile,  spClaimResponse__security,  spClaimResponse__tag, 
      //  spClaimResponse_Identifier);
  PATHS_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []');
  TARGETS_TSearchParamsClaimResponse : Array[TSearchParamsClaimResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], []);
  CODES_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'action', 'assessor', 'date', 'finding', 'investigation', 'patient', 'plan', 'previous', 'problem', 'resolved', 'ruledout', 'status', 'trigger', 'trigger-code');
  DESC_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Actions taken during assessment',
     'The clinician performing the assessment',
     'When the assessment occurred',
     'Specific text or code for finding',
     'Record of a specific investigation',
     'The patient being asssesed',
     'Plan of action after assessment',
     'Reference to last assessment',
     'General assessment of patient state',
     'Diagnosies/conditions resolved since previous assessment',
     'Specific text of code for diagnosis',
     'in-progress | completed | entered-in-error',
     'Request or event that necessitated this assessment',
     'Request or event that necessitated this assessment');
  TYPES_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of TSearchParamsClinicalImpression = ( spClinicalImpression__id,  spClinicalImpression__language,  spClinicalImpression__lastUpdated,  spClinicalImpression__profile,  spClinicalImpression__security, 
      //  spClinicalImpression__tag,  spClinicalImpression_Action,  spClinicalImpression_Assessor,  spClinicalImpression_Date,  spClinicalImpression_Finding,  spClinicalImpression_Investigation,  spClinicalImpression_Patient,  spClinicalImpression_Plan,  spClinicalImpression_Previous, 
      //  spClinicalImpression_Problem,  spClinicalImpression_Resolved,  spClinicalImpression_Ruledout,  spClinicalImpression_Status,  spClinicalImpression_Trigger,  spClinicalImpression_Trigger_code);
  PATHS_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'action: [frtSupply, frtReferralRequest, frtAppointment, frtProcedureRequest, frtMedicationPrescription, frtProcedure, frtNutritionOrder, frtDiagnosticOrder]',
     'assessor: [frtPractitioner]',
     'date: []',
     'finding: []',
     'investigation: [frtFamilyMemberHistory, frtQuestionnaireAnswers, frtObservation, frtDiagnosticReport]',
     'patient: [frtPatient]',
     'plan: [frtCarePlan, frtReferralRequest, frtSupply, frtProcedureRequest, frtCommunicationRequest, frtOrder, frtVisionPrescription, frtDeviceUseRequest, frtProcessRequest, frtAppointment, frtMedicationPrescription, frtDiagnosticOrder, frtNutritionOrder]',
     'previous: [frtClinicalImpression]',
     'problem: [frtCondition, frtAllergyIntolerance]',
     'resolved: []',
     'ruledout: []',
     'status: []',
     'trigger: ALL_RESOURCE_TYPES',
     'trigger-code: []');
  TARGETS_TSearchParamsClinicalImpression : Array[TSearchParamsClinicalImpression] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtSupply, frtReferralRequest, frtAppointment, frtProcedureRequest, frtMedicationPrescription, frtProcedure, frtNutritionOrder, frtDiagnosticOrder], [frtPractitioner], [], [], [frtFamilyMemberHistory, frtQuestionnaireAnswers, frtObservation, frtDiagnosticReport], [frtPatient], [frtCarePlan, frtReferralRequest, frtSupply, frtProcedureRequest, frtCommunicationRequest, frtOrder, frtVisionPrescription, frtDeviceUseRequest, frtProcessRequest, frtAppointment, frtMedicationPrescription, frtDiagnosticOrder, frtNutritionOrder], [frtClinicalImpression], [frtCondition, frtAllergyIntolerance], [], [], [], ALL_RESOURCE_TYPES, []);
  CODES_TSearchParamsCommunication : Array[TSearchParamsCommunication] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'category', 'encounter', 'identifier', 'medium', 'patient', 'received', 'recipient', 'sender', 'sent', 'status', 'subject');
  DESC_TSearchParamsCommunication : Array[TSearchParamsCommunication] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Message category',
     'Encounter leading to message',
     'Unique identifier',
     'Communication medium',
     'Focus of message',
     'When received',
     'Message recipient',
     'Message sender',
     'When sent',
     'in-progress | completed | suspended | rejected | failed',
     'Focus of message');
  TYPES_TSearchParamsCommunication : Array[TSearchParamsCommunication] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsCommunication : Array[TSearchParamsCommunication] of TSearchParamsCommunication = ( spCommunication__id,  spCommunication__language,  spCommunication__lastUpdated,  spCommunication__profile,  spCommunication__security,  spCommunication__tag, 
      //  spCommunication_Category,  spCommunication_Encounter,  spCommunication_Identifier,  spCommunication_Medium,  spCommunication_Patient,  spCommunication_Received,  spCommunication_Recipient,  spCommunication_Sender,  spCommunication_Sent,  spCommunication_Status, 
      //  spCommunication_Subject);
  PATHS_TSearchParamsCommunication : Array[TSearchParamsCommunication] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'category: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'medium: []',
     'patient: [frtPatient]',
     'received: []',
     'recipient: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'sender: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'sent: []',
     'status: []',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsCommunication : Array[TSearchParamsCommunication] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtEncounter], [], [], [frtPatient], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [], [frtPatient]);
  CODES_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'category', 'encounter', 'identifier', 'medium', 'ordered', 'patient', 'priority', 'recipient', 'requester', 'sender', 'status', 'subject', 'time');
  DESC_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Message category',
     'Encounter leading to message',
     'Unique identifier',
     'Communication medium',
     'When ordered or proposed',
     'Focus of message',
     'Message urgency',
     'Message recipient',
     'Requester of communication',
     'Message sender',
     'proposed | planned | requested | received | accepted | in-progress | completed | suspended | rejected | failed',
     'Focus of message',
     'When scheduled');
  TYPES_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeDate);
//  CHECK_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of TSearchParamsCommunicationRequest = ( spCommunicationRequest__id,  spCommunicationRequest__language,  spCommunicationRequest__lastUpdated,  spCommunicationRequest__profile, 
      //  spCommunicationRequest__security,  spCommunicationRequest__tag,  spCommunicationRequest_Category,  spCommunicationRequest_Encounter,  spCommunicationRequest_Identifier,  spCommunicationRequest_Medium,  spCommunicationRequest_Ordered,  spCommunicationRequest_Patient, 
      //  spCommunicationRequest_Priority,  spCommunicationRequest_Recipient,  spCommunicationRequest_Requester,  spCommunicationRequest_Sender,  spCommunicationRequest_Status,  spCommunicationRequest_Subject,  spCommunicationRequest_Time);
  PATHS_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'category: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'medium: []',
     'ordered: []',
     'patient: [frtPatient]',
     'priority: []',
     'recipient: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'requester: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'sender: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'status: []',
     'subject: [frtPatient]',
     'time: []');
  TARGETS_TSearchParamsCommunicationRequest : Array[TSearchParamsCommunicationRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtEncounter], [], [], [], [frtPatient], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [frtPatient, frtPractitioner, frtRelatedPerson], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [frtPatient], []);
  CODES_TSearchParamsComposition : Array[TSearchParamsComposition] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'attester', 'author', 'class', 'confidentiality', 'context', 'date', 'encounter', 'identifier', 'patient', 'period', 'section', 'section-code', 'status', 'subject', 'title', 'type');
  DESC_TSearchParamsComposition : Array[TSearchParamsComposition] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Who attested the composition',
     'Who and/or what authored the composition',
     'Categorization of Composition',
     'As defined by affinity domain',
     'Code(s) that apply to the event being documented',
     'Composition editing time',
     'Context of the conposition',
     'Logical identifier of composition (version-independent)',
     'Who and/or what the composition is about',
     'The period covered by the documentation',
     'The Content of the section (narrative + data entries)',
     'Classification of section (recommended)',
     'preliminary | final | appended | amended | entered-in-error',
     'Who and/or what the composition is about',
     'Human Readable name/title',
     'Kind of composition (LOINC if possible)');
  TYPES_TSearchParamsComposition : Array[TSearchParamsComposition] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken);
//  CHECK_TSearchParamsComposition : Array[TSearchParamsComposition] of TSearchParamsComposition = ( spComposition__id,  spComposition__language,  spComposition__lastUpdated,  spComposition__profile,  spComposition__security,  spComposition__tag,  spComposition_Attester, 
      //  spComposition_Author,  spComposition_Class,  spComposition_Confidentiality,  spComposition_Context,  spComposition_Date,  spComposition_Encounter,  spComposition_Identifier,  spComposition_Patient,  spComposition_Period,  spComposition_Section,  spComposition_Section_code, 
      //  spComposition_Status,  spComposition_Subject,  spComposition_Title,  spComposition_Type);
  PATHS_TSearchParamsComposition : Array[TSearchParamsComposition] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'attester: [frtOrganization, frtPatient, frtPractitioner]',
     'author: [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson]',
     'class: []',
     'confidentiality: []',
     'context: []',
     'date: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'patient: [frtPatient]',
     'period: []',
     'section: [frtList]',
     'section-code: []',
     'status: []',
     'subject: ALL_RESOURCE_TYPES',
     'title: []',
     'type: []');
  TARGETS_TSearchParamsComposition : Array[TSearchParamsComposition] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtOrganization, frtPatient, frtPractitioner], [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson], [], [], [], [], [frtEncounter], [], [frtPatient], [], [frtList], [], [], ALL_RESOURCE_TYPES, [], []);
  CODES_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'context', 'date', 'dependson', 'description', 'identifier', 'name', 'product', 'publisher', 'source', 'status', 'system', 'target', 'url', 'version');
  DESC_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'A use context assigned to the concept map',
     'The concept map publication date',
     'Reference to element/field/valueset mapping depends on',
     'Text search in the description of the concept map',
     'Additional identifier for the concept map',
     'Name of the concept map',
     'Reference to element/field/valueset mapping depends on',
     'Name of the publisher of the concept map',
     'The system for any concepts mapped by this concept map',
     'Status of the concept map',
     'The system for any destination concepts mapped by this map',
     'Provides context to the mappings',
     'The url of the concept map',
     'The version identifier of the concept map');
  TYPES_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeUri,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeUri,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeUri, 
       SearchParamTypeToken);
//  CHECK_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of TSearchParamsConceptMap = ( spConceptMap__id,  spConceptMap__language,  spConceptMap__lastUpdated,  spConceptMap__profile,  spConceptMap__security,  spConceptMap__tag,  spConceptMap_Context, 
      //  spConceptMap_Date,  spConceptMap_Dependson,  spConceptMap_Description,  spConceptMap_Identifier,  spConceptMap_Name,  spConceptMap_Product,  spConceptMap_Publisher,  spConceptMap_Source,  spConceptMap_Status,  spConceptMap_System,  spConceptMap_Target, 
      //  spConceptMap_Url,  spConceptMap_Version);
  PATHS_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'context: []',
     'date: []',
     'dependson: []',
     'description: []',
     'identifier: []',
     'name: []',
     'product: []',
     'publisher: []',
     'source: [frtValueSet, frtStructureDefinition]',
     'status: []',
     'system: []',
     'target: [frtValueSet, frtStructureDefinition]',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsConceptMap : Array[TSearchParamsConceptMap] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtValueSet, frtStructureDefinition], [], [], [frtValueSet, frtStructureDefinition], [], []);
  CODES_TSearchParamsCondition : Array[TSearchParamsCondition] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'asserter', 'category', 'clinicalstatus', 'code', 'date-asserted', 'dueto-code', 'dueto-item', 'encounter', 'evidence', 'following-code', 'following-item', 'location', 'onset', 'onset-info', 'patient', 'severity', 'stage', 'subject');
  DESC_TSearchParamsCondition : Array[TSearchParamsCondition] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Person who asserts this condition',
     'The category of the condition',
     'The clinical status of the condition',
     'Code for the condition',
     'When first detected/suspected/entered',
     'Relationship target by means of a predefined code',
     'Relationship target resource',
     'Encounter when condition first asserted',
     'Manifestation/symptom',
     'Relationship target by means of a predefined code',
     'Relationship target resource',
     'Location - may include laterality',
     'Date related onsets (dateTime and Period)',
     'Other onsets (boolean, age, range, string)',
     'Who has the condition?',
     'The severity of the condition',
     'Simple summary (disease specific)',
     'Who has the condition?');
  TYPES_TSearchParamsCondition : Array[TSearchParamsCondition] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken, 
       SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsCondition : Array[TSearchParamsCondition] of TSearchParamsCondition = ( spCondition__id,  spCondition__language,  spCondition__lastUpdated,  spCondition__profile,  spCondition__security,  spCondition__tag,  spCondition_Asserter, 
      //  spCondition_Category,  spCondition_Clinicalstatus,  spCondition_Code,  spCondition_Date_asserted,  spCondition_Dueto_code,  spCondition_Dueto_item,  spCondition_Encounter,  spCondition_Evidence,  spCondition_Following_code,  spCondition_Following_item, 
      //  spCondition_Location,  spCondition_Onset,  spCondition_Onset_info,  spCondition_Patient,  spCondition_Severity,  spCondition_Stage,  spCondition_Subject);
  PATHS_TSearchParamsCondition : Array[TSearchParamsCondition] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'asserter: [frtPatient, frtPractitioner]',
     'category: []',
     'clinicalstatus: []',
     'code: []',
     'date-asserted: []',
     'dueto-code: []',
     'dueto-item: [frtCondition, frtMedicationAdministration, frtProcedure, frtMedicationStatement, frtImmunization]',
     'encounter: [frtEncounter]',
     'evidence: []',
     'following-code: []',
     'following-item: [frtCondition, frtMedicationAdministration, frtProcedure, frtMedicationStatement, frtImmunization]',
     'location: []',
     'onset: []',
     'onset-info: []',
     'patient: [frtPatient]',
     'severity: []',
     'stage: []',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsCondition : Array[TSearchParamsCondition] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtPatient, frtPractitioner], [], [], [], [], [], [frtCondition, frtMedicationAdministration, frtProcedure, frtMedicationStatement, frtImmunization], [frtEncounter], [], [], [frtCondition, frtMedicationAdministration, frtProcedure, frtMedicationStatement, frtImmunization], [], [], [], [frtPatient], [], [], [frtPatient]);
  CODES_TSearchParamsConformance : Array[TSearchParamsConformance] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'date', 'description', 'event', 'fhirversion', 'format', 'mode', 'name', 'profile', 'publisher', 'resource', 'security', 'software', 'status', 'supported-profile', 'url', 'version');
  DESC_TSearchParamsConformance : Array[TSearchParamsConformance] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The conformance statement publication date',
     'Text search in the description of the conformance statement',
     'Event code in a conformance statement',
     'The version of FHIR',
     'formats supported (xml | json | mime type)',
     'Mode - restful (server/client) or messaging (sender/receiver)',
     'Name of the conformance statement',
     'A profile id invoked in a conformance statement',
     'Name of the publisher of the conformance statement',
     'Name of a resource mentioned in a conformance statement',
     'Information about security of implementation',
     'Part of a the name of a software application',
     'The current status of the conformance statement',
     'Profiles supported by the system',
     'The uri that identifies the conformance statement',
     'The version identifier of the conformance statement');
  TYPES_TSearchParamsConformance : Array[TSearchParamsConformance] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeUri,  SearchParamTypeToken);
//  CHECK_TSearchParamsConformance : Array[TSearchParamsConformance] of TSearchParamsConformance = ( spConformance__id,  spConformance__language,  spConformance__lastUpdated,  spConformance__profile,  spConformance__security,  spConformance__tag,  spConformance_Date, 
      //  spConformance_Description,  spConformance_Event,  spConformance_Fhirversion,  spConformance_Format,  spConformance_Mode,  spConformance_Name,  spConformance_Profile,  spConformance_Publisher,  spConformance_Resource,  spConformance_Security,  spConformance_Software, 
      //  spConformance_Status,  spConformance_Supported_profile,  spConformance_Url,  spConformance_Version);
  PATHS_TSearchParamsConformance : Array[TSearchParamsConformance] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'date: []',
     'description: []',
     'event: []',
     'fhirversion: []',
     'format: []',
     'mode: []',
     'name: []',
     'profile: [frtStructureDefinition]',
     'publisher: []',
     'resource: []',
     'security: []',
     'software: []',
     'status: []',
     'supported-profile: [frtStructureDefinition]',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsConformance : Array[TSearchParamsConformance] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [frtStructureDefinition], [], [], [], [], [], [frtStructureDefinition], [], []);
  CODES_TSearchParamsContract : Array[TSearchParamsContract] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'actor', 'identifier', 'patient', 'signer', 'subject');
  DESC_TSearchParamsContract : Array[TSearchParamsContract] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Contract Actor Type',
     'The identity of the contract',
     'The identity of the target of the contract (if a patient)',
     'Contract Signatory Party',
     'The identity of the target of the contract');
  TYPES_TSearchParamsContract : Array[TSearchParamsContract] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsContract : Array[TSearchParamsContract] of TSearchParamsContract = ( spContract__id,  spContract__language,  spContract__lastUpdated,  spContract__profile,  spContract__security,  spContract__tag,  spContract_Actor,  spContract_Identifier, 
      //  spContract_Patient,  spContract_Signer,  spContract_Subject);
  PATHS_TSearchParamsContract : Array[TSearchParamsContract] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'actor: [frtSupply, frtDevice, frtPatient, frtOrganization, frtLocation, frtSubstance, frtPractitioner, frtContract, frtGroup, frtRelatedPerson]',
     'identifier: []',
     'patient: [frtPatient]',
     'signer: [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsContract : Array[TSearchParamsContract] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtSupply, frtDevice, frtPatient, frtOrganization, frtLocation, frtSubstance, frtPractitioner, frtContract, frtGroup, frtRelatedPerson], [], [frtPatient], [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [frtPatient]);
  CODES_TSearchParamsContraindication : Array[TSearchParamsContraindication] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'author', 'category', 'date', 'identifier', 'implicated', 'patient');
  DESC_TSearchParamsContraindication : Array[TSearchParamsContraindication] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Who found issue?',
     'E.g. Drug-drug, duplicate therapy, etc.',
     'When identified',
     'Unique id for the contraindication',
     'Problem resource',
     'Associated patient');
  TYPES_TSearchParamsContraindication : Array[TSearchParamsContraindication] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsContraindication : Array[TSearchParamsContraindication] of TSearchParamsContraindication = ( spContraindication__id,  spContraindication__language,  spContraindication__lastUpdated,  spContraindication__profile,  spContraindication__security, 
      //  spContraindication__tag,  spContraindication_Author,  spContraindication_Category,  spContraindication_Date,  spContraindication_Identifier,  spContraindication_Implicated,  spContraindication_Patient);
  PATHS_TSearchParamsContraindication : Array[TSearchParamsContraindication] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'author: [frtDevice, frtPractitioner]',
     'category: []',
     'date: []',
     'identifier: []',
     'implicated: ALL_RESOURCE_TYPES',
     'patient: [frtPatient]');
  TARGETS_TSearchParamsContraindication : Array[TSearchParamsContraindication] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice, frtPractitioner], [], [], [], ALL_RESOURCE_TYPES, [frtPatient]);
  CODES_TSearchParamsCoverage : Array[TSearchParamsCoverage] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'dependent', 'group', 'identifier', 'issuer', 'plan', 'sequence', 'subplan', 'type');
  DESC_TSearchParamsCoverage : Array[TSearchParamsCoverage] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Dependent number',
     'Group identifier',
     'The primary identifier of the insured',
     'The identity of the insurer',
     'A plan or policy identifier',
     'Sequence number',
     'Sub-plan identifier',
     'The kind of coverage');
  TYPES_TSearchParamsCoverage : Array[TSearchParamsCoverage] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsCoverage : Array[TSearchParamsCoverage] of TSearchParamsCoverage = ( spCoverage__id,  spCoverage__language,  spCoverage__lastUpdated,  spCoverage__profile,  spCoverage__security,  spCoverage__tag,  spCoverage_Dependent,  spCoverage_Group, 
      //  spCoverage_Identifier,  spCoverage_Issuer,  spCoverage_Plan,  spCoverage_Sequence,  spCoverage_Subplan,  spCoverage_Type);
  PATHS_TSearchParamsCoverage : Array[TSearchParamsCoverage] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'dependent: []',
     'group: []',
     'identifier: []',
     'issuer: [frtOrganization]',
     'plan: []',
     'sequence: []',
     'subplan: []',
     'type: []');
  TARGETS_TSearchParamsCoverage : Array[TSearchParamsCoverage] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtOrganization], [], [], [], []);
  CODES_TSearchParamsDataElement : Array[TSearchParamsDataElement] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'code', 'context', 'date', 'description', 'identifier', 'name', 'publisher', 'status', 'url', 'version');
  DESC_TSearchParamsDataElement : Array[TSearchParamsDataElement] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'A code for the data element (server may choose to do subsumption)',
     'A use context assigned to the data element',
     'The data element publication date',
     'Text search in the description of the data element.  This corresponds to the definition of the first DataElement.element.',
     'The identifier of the data element',
     'Name of the data element',
     'Name of the publisher of the data element',
     'The current status of the data element',
     'The official URL for the data element',
     'The version identifier of the data element');
  TYPES_TSearchParamsDataElement : Array[TSearchParamsDataElement] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeString);
//  CHECK_TSearchParamsDataElement : Array[TSearchParamsDataElement] of TSearchParamsDataElement = ( spDataElement__id,  spDataElement__language,  spDataElement__lastUpdated,  spDataElement__profile,  spDataElement__security,  spDataElement__tag,  spDataElement_Code, 
      //  spDataElement_Context,  spDataElement_Date,  spDataElement_Description,  spDataElement_Identifier,  spDataElement_Name,  spDataElement_Publisher,  spDataElement_Status,  spDataElement_Url,  spDataElement_Version);
  PATHS_TSearchParamsDataElement : Array[TSearchParamsDataElement] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'code: []',
     'context: []',
     'date: []',
     'description: []',
     'identifier: []',
     'name: []',
     'publisher: []',
     'status: []',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsDataElement : Array[TSearchParamsDataElement] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsDevice : Array[TSearchParamsDevice] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier', 'location', 'manufacturer', 'model', 'organization', 'patient', 'type', 'udi');
  DESC_TSearchParamsDevice : Array[TSearchParamsDevice] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Instance id from manufacturer, owner, and others',
     'A location, where the resource is found',
     'The manufacturer of the device',
     'The model of the device',
     'The organization responsible for the device',
     'Patient information, if the resource is affixed to a person',
     'The type of the device',
     'FDA Mandated Unique Device Identifier');
  TYPES_TSearchParamsDevice : Array[TSearchParamsDevice] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeString);
//  CHECK_TSearchParamsDevice : Array[TSearchParamsDevice] of TSearchParamsDevice = ( spDevice__id,  spDevice__language,  spDevice__lastUpdated,  spDevice__profile,  spDevice__security,  spDevice__tag,  spDevice_Identifier,  spDevice_Location,  spDevice_Manufacturer, 
      //  spDevice_Model,  spDevice_Organization,  spDevice_Patient,  spDevice_Type,  spDevice_Udi);
  PATHS_TSearchParamsDevice : Array[TSearchParamsDevice] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []',
     'location: [frtLocation]',
     'manufacturer: []',
     'model: []',
     'organization: [frtOrganization]',
     'patient: [frtPatient]',
     'type: []',
     'udi: []');
  TARGETS_TSearchParamsDevice : Array[TSearchParamsDevice] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtLocation], [], [], [frtOrganization], [frtPatient], [], []);
  CODES_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'parent', 'source', 'type');
  DESC_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The parent DeviceComponent resource',
     'The device source',
     'The device component type');
  TYPES_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of TSearchParamsDeviceComponent = ( spDeviceComponent__id,  spDeviceComponent__language,  spDeviceComponent__lastUpdated,  spDeviceComponent__profile,  spDeviceComponent__security, 
      //  spDeviceComponent__tag,  spDeviceComponent_Parent,  spDeviceComponent_Source,  spDeviceComponent_Type);
  PATHS_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'parent: [frtDeviceComponent]',
     'source: [frtDevice]',
     'type: []');
  TARGETS_TSearchParamsDeviceComponent : Array[TSearchParamsDeviceComponent] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDeviceComponent], [frtDevice], []);
  CODES_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'category', 'identifier', 'parent', 'source', 'type');
  DESC_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The category of the metric',
     'The identifier of the metric',
     'The parent DeviceMetric resource',
     'The device resource',
     'The component type');
  TYPES_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of TSearchParamsDeviceMetric = ( spDeviceMetric__id,  spDeviceMetric__language,  spDeviceMetric__lastUpdated,  spDeviceMetric__profile,  spDeviceMetric__security,  spDeviceMetric__tag, 
      //  spDeviceMetric_Category,  spDeviceMetric_Identifier,  spDeviceMetric_Parent,  spDeviceMetric_Source,  spDeviceMetric_Type);
  PATHS_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'category: []',
     'identifier: []',
     'parent: [frtDeviceComponent]',
     'source: [frtDevice]',
     'type: []');
  TARGETS_TSearchParamsDeviceMetric : Array[TSearchParamsDeviceMetric] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtDeviceComponent], [frtDevice], []);
  CODES_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'device', 'patient', 'subject');
  DESC_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Device requested',
     'Search by subject - a patient',
     'Search by subject');
  TYPES_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of TSearchParamsDeviceUseRequest = ( spDeviceUseRequest__id,  spDeviceUseRequest__language,  spDeviceUseRequest__lastUpdated,  spDeviceUseRequest__profile,  spDeviceUseRequest__security, 
      //  spDeviceUseRequest__tag,  spDeviceUseRequest_Device,  spDeviceUseRequest_Patient,  spDeviceUseRequest_Subject);
  PATHS_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'device: [frtDevice]',
     'patient: [frtPatient]',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsDeviceUseRequest : Array[TSearchParamsDeviceUseRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice], [frtPatient], [frtPatient]);
  CODES_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'device', 'patient', 'subject');
  DESC_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Search by device',
     'Search by subject - a patient',
     'Search by subject');
  TYPES_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of TSearchParamsDeviceUseStatement = ( spDeviceUseStatement__id,  spDeviceUseStatement__language,  spDeviceUseStatement__lastUpdated,  spDeviceUseStatement__profile,  spDeviceUseStatement__security, 
      //  spDeviceUseStatement__tag,  spDeviceUseStatement_Device,  spDeviceUseStatement_Patient,  spDeviceUseStatement_Subject);
  PATHS_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'device: [frtDevice]',
     'patient: [frtPatient]',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsDeviceUseStatement : Array[TSearchParamsDeviceUseStatement] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice], [frtPatient], [frtPatient]);
  CODES_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'actor', 'bodysite', 'code', 'encounter', 'event-date', 'event-status', 'event-status-date', 'identifier', 'item-date', 'item-past-status', 'item-status', 'item-status-date', 'orderer', 'patient', 'specimen', 'status', 'subject');
  DESC_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Who recorded or did this',
     'Location of requested test (if applicable)',
     'Code to indicate the item (test or panel) being ordered',
     'The encounter that this diagnostic order is associated with',
     'The date at which the event happened',
     'proposed | draft | planned | requested | received | accepted | in-progress | review | completed | cancelled | suspended | rejected | failed',
     'A combination of past-status and date',
     'Identifiers assigned to this order',
     'The date at which the event happened',
     'proposed | draft | planned | requested | received | accepted | in-progress | review | completed | cancelled | suspended | rejected | failed',
     'proposed | draft | planned | requested | received | accepted | in-progress | review | completed | cancelled | suspended | rejected | failed',
     'A combination of item-past-status and item-date',
     'Who ordered the test',
     'Who and/or what test is about',
     'If the whole order relates to specific specimens',
     'proposed | draft | planned | requested | received | accepted | in-progress | review | completed | cancelled | suspended | rejected | failed',
     'Who and/or what test is about');
  TYPES_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeComposite,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeComposite, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of TSearchParamsDiagnosticOrder = ( spDiagnosticOrder__id,  spDiagnosticOrder__language,  spDiagnosticOrder__lastUpdated,  spDiagnosticOrder__profile,  spDiagnosticOrder__security, 
      //  spDiagnosticOrder__tag,  spDiagnosticOrder_Actor,  spDiagnosticOrder_Bodysite,  spDiagnosticOrder_Code,  spDiagnosticOrder_Encounter,  spDiagnosticOrder_Event_date,  spDiagnosticOrder_Event_status,  spDiagnosticOrder_Event_status_date,  spDiagnosticOrder_Identifier, 
      //  spDiagnosticOrder_Item_date,  spDiagnosticOrder_Item_past_status,  spDiagnosticOrder_Item_status,  spDiagnosticOrder_Item_status_date,  spDiagnosticOrder_Orderer,  spDiagnosticOrder_Patient,  spDiagnosticOrder_Specimen,  spDiagnosticOrder_Status,  spDiagnosticOrder_Subject);
  PATHS_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'actor: [frtDevice, frtPractitioner]',
     'bodysite: []',
     'code: []',
     'encounter: [frtEncounter]',
     'event-date: []',
     'event-status: []',
     'event-status-date: []',
     'identifier: []',
     'item-date: []',
     'item-past-status: []',
     'item-status: []',
     'item-status-date: []',
     'orderer: [frtPractitioner]',
     'patient: [frtPatient]',
     'specimen: [frtSpecimen]',
     'status: []',
     'subject: [frtDevice, frtLocation, frtPatient, frtGroup]');
  TARGETS_TSearchParamsDiagnosticOrder : Array[TSearchParamsDiagnosticOrder] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice, frtPractitioner], [], [], [frtEncounter], [], [], [], [], [], [], [], [], [frtPractitioner], [frtPatient], [frtSpecimen], [], [frtDevice, frtLocation, frtPatient, frtGroup]);
  CODES_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'date', 'diagnosis', 'encounter', 'identifier', 'image', 'issued', 'name', 'patient', 'performer', 'request', 'result', 'service', 'specimen', 'status', 'subject');
  DESC_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The clinically relevant time of the report',
     'A coded diagnosis on the report',
     'The Encounter when the order was made',
     'An identifier for the report',
     'Reference to the image source',
     'When the report was issued',
     'The name of the report (e.g. the code for the report as a whole, as opposed to codes for the atomic results, which are the names on the observation resource referred to from the result)',
     'The subject of the report if a patient',
     'Who was the source of the report (organization)',
     'What was requested',
     'Link to an atomic result (observation resource)',
     'Which diagnostic discipline/department created the report',
     'The specimen details',
     'The status of the report',
     'The subject of the report');
  TYPES_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of TSearchParamsDiagnosticReport = ( spDiagnosticReport__id,  spDiagnosticReport__language,  spDiagnosticReport__lastUpdated,  spDiagnosticReport__profile,  spDiagnosticReport__security, 
      //  spDiagnosticReport__tag,  spDiagnosticReport_Date,  spDiagnosticReport_Diagnosis,  spDiagnosticReport_Encounter,  spDiagnosticReport_Identifier,  spDiagnosticReport_Image,  spDiagnosticReport_Issued,  spDiagnosticReport_Name,  spDiagnosticReport_Patient, 
      //  spDiagnosticReport_Performer,  spDiagnosticReport_Request,  spDiagnosticReport_Result,  spDiagnosticReport_Service,  spDiagnosticReport_Specimen,  spDiagnosticReport_Status,  spDiagnosticReport_Subject);
  PATHS_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'date: []',
     'diagnosis: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'image: [frtMedia]',
     'issued: []',
     'name: []',
     'patient: [frtPatient]',
     'performer: [frtOrganization, frtPractitioner]',
     'request: [frtDiagnosticOrder]',
     'result: [frtObservation]',
     'service: []',
     'specimen: [frtSpecimen]',
     'status: []',
     'subject: [frtDevice, frtLocation, frtPatient, frtGroup]');
  TARGETS_TSearchParamsDiagnosticReport : Array[TSearchParamsDiagnosticReport] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtEncounter], [], [frtMedia], [], [], [frtPatient], [frtOrganization, frtPractitioner], [frtDiagnosticOrder], [frtObservation], [], [frtSpecimen], [], [frtDevice, frtLocation, frtPatient, frtGroup]);
  CODES_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'author', 'contentref', 'created', 'description', 'identifier', 'patient', 'recipient', 'relatedid', 'relatedref', 'source', 'status', 'subject', 'type');
  DESC_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Who and/or what authored the document',
     'Contents of this set of documents',
     'When this document manifest created',
     'Human-readable description (title)',
     'Unique Identifier for the set of documents',
     'The subject of the set of documents',
     'Intended to get notified about this set of documents',
     'Related Identifier',
     'Related Resource',
     'The source system/application/software',
     'current | superceded | entered-in-error',
     'The subject of the set of documents',
     'What kind of document set this is');
  TYPES_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken);
//  CHECK_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of TSearchParamsDocumentManifest = ( spDocumentManifest__id,  spDocumentManifest__language,  spDocumentManifest__lastUpdated,  spDocumentManifest__profile,  spDocumentManifest__security, 
      //  spDocumentManifest__tag,  spDocumentManifest_Author,  spDocumentManifest_Contentref,  spDocumentManifest_Created,  spDocumentManifest_Description,  spDocumentManifest_Identifier,  spDocumentManifest_Patient,  spDocumentManifest_Recipient,  spDocumentManifest_Relatedid, 
      //  spDocumentManifest_Relatedref,  spDocumentManifest_Source,  spDocumentManifest_Status,  spDocumentManifest_Subject,  spDocumentManifest_Type);
  PATHS_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'author: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'contentref: [frtMedia, frtDocumentReference]',
     'created: []',
     'description: []',
     'identifier: []',
     'patient: [frtPatient]',
     'recipient: [frtOrganization, frtPatient, frtPractitioner]',
     'relatedid: []',
     'relatedref: ALL_RESOURCE_TYPES',
     'source: []',
     'status: []',
     'subject: [frtDevice, frtPatient, frtPractitioner, frtGroup]',
     'type: []');
  TARGETS_TSearchParamsDocumentManifest : Array[TSearchParamsDocumentManifest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [frtMedia, frtDocumentReference], [], [], [], [frtPatient], [frtOrganization, frtPatient, frtPractitioner], [], ALL_RESOURCE_TYPES, [], [], [frtDevice, frtPatient, frtPractitioner, frtGroup], []);
  CODES_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'authenticator', 'author', 'class', 'confidentiality', 'created', 'custodian', 'description', 'event', 'facility', 'format', 'identifier', 'indexed', 'language', 'location', 'patient', 'period', 'relatedid', 'relatedref', 'relatesto', 'relation', 'relationship', 'setting', 'status', 'subject', 'type');
  DESC_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Who/What authenticated the document',
     'Who and/or what authored the document',
     'Categorization of document',
     'Document security-tags',
     'Document creation time',
     'Org which maintains the document',
     'Human-readable description (title)',
     'Main Clinical Acts Documented',
     'Kind of facility where patient was seen',
     'Format/content rules for the document',
     'Master Version Specific Identifier',
     'When this document reference created',
     'Human language of the content (BCP-47)',
     'Uri where the data can be found',
     'Who|what is the subject of the document',
     'Time of service that is being documented',
     'Related Identifier',
     'Related Resource',
     'Target of the relationship',
     'replaces | transforms | signs | appends',
     'Combination of relation and relatesTo',
     'Additional details about where the content was created (e.g. clinical specialty)',
     'current | superceded | entered-in-error',
     'Who|what is the subject of the document',
     'Kind of document');
  TYPES_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeComposite,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of TSearchParamsDocumentReference = ( spDocumentReference__id,  spDocumentReference__language,  spDocumentReference__lastUpdated,  spDocumentReference__profile,  spDocumentReference__security, 
      //  spDocumentReference__tag,  spDocumentReference_Authenticator,  spDocumentReference_Author,  spDocumentReference_Class,  spDocumentReference_Confidentiality,  spDocumentReference_Created,  spDocumentReference_Custodian,  spDocumentReference_Description, 
      //  spDocumentReference_Event,  spDocumentReference_Facility,  spDocumentReference_Format,  spDocumentReference_Identifier,  spDocumentReference_Indexed,  spDocumentReference_Language,  spDocumentReference_Location,  spDocumentReference_Patient,  spDocumentReference_Period, 
      //  spDocumentReference_Relatedid,  spDocumentReference_Relatedref,  spDocumentReference_Relatesto,  spDocumentReference_Relation,  spDocumentReference_Relationship,  spDocumentReference_Setting,  spDocumentReference_Status,  spDocumentReference_Subject, 
      //  spDocumentReference_Type);
  PATHS_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'authenticator: [frtOrganization, frtPractitioner]',
     'author: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'class: []',
     'confidentiality: []',
     'created: []',
     'custodian: [frtOrganization]',
     'description: []',
     'event: []',
     'facility: []',
     'format: []',
     'identifier: []',
     'indexed: []',
     'language: []',
     'location: []',
     'patient: [frtPatient]',
     'period: []',
     'relatedid: []',
     'relatedref: ALL_RESOURCE_TYPES',
     'relatesto: [frtDocumentReference]',
     'relation: []',
     'relationship: []',
     'setting: []',
     'status: []',
     'subject: [frtDevice, frtPatient, frtPractitioner, frtGroup]',
     'type: []');
  TARGETS_TSearchParamsDocumentReference : Array[TSearchParamsDocumentReference] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtOrganization, frtPractitioner], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [], [], [frtOrganization], [], [], [], [], [], [], [], [], [frtPatient], [], [], ALL_RESOURCE_TYPES, [frtDocumentReference], [], [], [], [], [frtDevice, frtPatient, frtPractitioner, frtGroup], []);
  CODES_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier');
  DESC_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The business identifier of the Eligibility');
  TYPES_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of TSearchParamsEligibilityRequest = ( spEligibilityRequest__id,  spEligibilityRequest__language,  spEligibilityRequest__lastUpdated,  spEligibilityRequest__profile,  spEligibilityRequest__security, 
      //  spEligibilityRequest__tag,  spEligibilityRequest_Identifier);
  PATHS_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []');
  TARGETS_TSearchParamsEligibilityRequest : Array[TSearchParamsEligibilityRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], []);
  CODES_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier');
  DESC_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The business identifier of the Explanation of Benefit');
  TYPES_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of TSearchParamsEligibilityResponse = ( spEligibilityResponse__id,  spEligibilityResponse__language,  spEligibilityResponse__lastUpdated,  spEligibilityResponse__profile, 
      //  spEligibilityResponse__security,  spEligibilityResponse__tag,  spEligibilityResponse_Identifier);
  PATHS_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []');
  TARGETS_TSearchParamsEligibilityResponse : Array[TSearchParamsEligibilityResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], []);
  CODES_TSearchParamsEncounter : Array[TSearchParamsEncounter] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'date', 'episodeofcare', 'fulfills', 'identifier', 'incomingreferral', 'indication', 'length', 'location', 'location-period', 'part-of', 'participant', 'participant-type', 'patient', 'practitioner', 'reason', 'special-arrangement', 'status', 'type');
  DESC_TSearchParamsEncounter : Array[TSearchParamsEncounter] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'A date within the period the Encounter lasted',
     'An episode of care that this encounter should be recorded against',
     'The appointment that scheduled this encounter',
     'Identifier(s) by which this encounter is known',
     'Incoming Referral Request',
     'Reason the encounter takes place (resource)',
     'Length of encounter in days',
     'Location the encounter takes place',
     'Time period during which the patient was present at the location',
     'Another Encounter this encounter is part of',
     'Persons involved in the encounter other than the patient',
     'Role of participant in encounter',
     'The patient present at the encounter',
     'Persons involved in the encounter other than the patient',
     'Reason the encounter takes place (code)',
     'Wheelchair, translator, stretcher, etc',
     'planned | arrived | in-progress | onleave | finished | cancelled',
     'Specific type of encounter');
  TYPES_TSearchParamsEncounter : Array[TSearchParamsEncounter] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeNumber,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsEncounter : Array[TSearchParamsEncounter] of TSearchParamsEncounter = ( spEncounter__id,  spEncounter__language,  spEncounter__lastUpdated,  spEncounter__profile,  spEncounter__security,  spEncounter__tag,  spEncounter_Date,  spEncounter_Episodeofcare, 
      //  spEncounter_Fulfills,  spEncounter_Identifier,  spEncounter_Incomingreferral,  spEncounter_Indication,  spEncounter_Length,  spEncounter_Location,  spEncounter_Location_period,  spEncounter_Part_of,  spEncounter_Participant,  spEncounter_Participant_type, 
      //  spEncounter_Patient,  spEncounter_Practitioner,  spEncounter_Reason,  spEncounter_Special_arrangement,  spEncounter_Status,  spEncounter_Type);
  PATHS_TSearchParamsEncounter : Array[TSearchParamsEncounter] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'date: []',
     'episodeofcare: [frtEpisodeOfCare]',
     'fulfills: [frtAppointment]',
     'identifier: []',
     'incomingreferral: [frtReferralRequest]',
     'indication: ALL_RESOURCE_TYPES',
     'length: []',
     'location: [frtLocation]',
     'location-period: []',
     'part-of: [frtEncounter]',
     'participant: [frtPractitioner, frtRelatedPerson]',
     'participant-type: []',
     'patient: [frtPatient]',
     'practitioner: [frtPractitioner]',
     'reason: []',
     'special-arrangement: []',
     'status: []',
     'type: []');
  TARGETS_TSearchParamsEncounter : Array[TSearchParamsEncounter] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtEpisodeOfCare], [frtAppointment], [], [frtReferralRequest], ALL_RESOURCE_TYPES, [], [frtLocation], [], [frtEncounter], [frtPractitioner, frtRelatedPerson], [], [frtPatient], [frtPractitioner], [], [], [], []);
  CODES_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier', 'patient', 'subject');
  DESC_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The business identifier of the Enrollment',
     'The party to be enrolled',
     'The party to be enrolled');
  TYPES_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of TSearchParamsEnrollmentRequest = ( spEnrollmentRequest__id,  spEnrollmentRequest__language,  spEnrollmentRequest__lastUpdated,  spEnrollmentRequest__profile,  spEnrollmentRequest__security, 
      //  spEnrollmentRequest__tag,  spEnrollmentRequest_Identifier,  spEnrollmentRequest_Patient,  spEnrollmentRequest_Subject);
  PATHS_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []',
     'patient: [frtPatient]',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsEnrollmentRequest : Array[TSearchParamsEnrollmentRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtPatient], [frtPatient]);
  CODES_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier');
  DESC_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The business identifier of the Explanation of Benefit');
  TYPES_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of TSearchParamsEnrollmentResponse = ( spEnrollmentResponse__id,  spEnrollmentResponse__language,  spEnrollmentResponse__lastUpdated,  spEnrollmentResponse__profile,  spEnrollmentResponse__security, 
      //  spEnrollmentResponse__tag,  spEnrollmentResponse_Identifier);
  PATHS_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []');
  TARGETS_TSearchParamsEnrollmentResponse : Array[TSearchParamsEnrollmentResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], []);
  CODES_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'care-manager', 'condition', 'date', 'identifier', 'incomingreferral', 'organization', 'patient', 'status', 'team-member', 'type');
  DESC_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The practitioner that is the care manager/care co-ordinator for this patient',
     'A list of conditions/problems/diagnoses that this episode of care is intended to be providing care for',
     'The provided date search value falls within the episode of care''s period',
     'Identifier(s) by which this EpisodeOfCare is known',
     'Incoming Referral Request',
     'The organization that has assumed the specific responsibilities of this EpisodeOfCare',
     'The patient that this EpisodeOfCare applies to',
     'The current status of the Episode of Care as provided (does not check the status history collection)',
     'A Practitioner or Organization allocated to the care team for this EpisodeOfCare',
     'Specific type of EpisodeOfCare');
  TYPES_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of TSearchParamsEpisodeOfCare = ( spEpisodeOfCare__id,  spEpisodeOfCare__language,  spEpisodeOfCare__lastUpdated,  spEpisodeOfCare__profile,  spEpisodeOfCare__security,  spEpisodeOfCare__tag, 
      //  spEpisodeOfCare_Care_manager,  spEpisodeOfCare_Condition,  spEpisodeOfCare_Date,  spEpisodeOfCare_Identifier,  spEpisodeOfCare_Incomingreferral,  spEpisodeOfCare_Organization,  spEpisodeOfCare_Patient,  spEpisodeOfCare_Status,  spEpisodeOfCare_Team_member, 
      //  spEpisodeOfCare_Type);
  PATHS_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'care-manager: [frtPractitioner]',
     'condition: [frtCondition]',
     'date: []',
     'identifier: []',
     'incomingreferral: [frtReferralRequest]',
     'organization: [frtOrganization]',
     'patient: [frtPatient]',
     'status: []',
     'team-member: [frtOrganization, frtPractitioner]',
     'type: []');
  TARGETS_TSearchParamsEpisodeOfCare : Array[TSearchParamsEpisodeOfCare] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtPractitioner], [frtCondition], [], [], [frtReferralRequest], [frtOrganization], [frtPatient], [], [frtOrganization, frtPractitioner], []);
  CODES_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier');
  DESC_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The business identifier of the Explanation of Benefit');
  TYPES_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of TSearchParamsExplanationOfBenefit = ( spExplanationOfBenefit__id,  spExplanationOfBenefit__language,  spExplanationOfBenefit__lastUpdated,  spExplanationOfBenefit__profile, 
      //  spExplanationOfBenefit__security,  spExplanationOfBenefit__tag,  spExplanationOfBenefit_Identifier);
  PATHS_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []');
  TARGETS_TSearchParamsExplanationOfBenefit : Array[TSearchParamsExplanationOfBenefit] of TFhirResourceTypeSet = ([], [], [], [], [], [], []);
  CODES_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'date', 'patient');
  DESC_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'When history was captured/updated',
     'The identity of a subject to list family member history items for');
  TYPES_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeReference);
//  CHECK_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of TSearchParamsFamilyMemberHistory = ( spFamilyMemberHistory__id,  spFamilyMemberHistory__language,  spFamilyMemberHistory__lastUpdated,  spFamilyMemberHistory__profile, 
      //  spFamilyMemberHistory__security,  spFamilyMemberHistory__tag,  spFamilyMemberHistory_Date,  spFamilyMemberHistory_Patient);
  PATHS_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'date: []',
     'patient: [frtPatient]');
  TARGETS_TSearchParamsFamilyMemberHistory : Array[TSearchParamsFamilyMemberHistory] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtPatient]);
  CODES_TSearchParamsFlag : Array[TSearchParamsFlag] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'author', 'date', 'patient', 'subject');
  DESC_TSearchParamsFlag : Array[TSearchParamsFlag] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Flag creator',
     'Time period when flag is active',
     'The identity of a subject to list flags for',
     'The identity of a subject to list flags for');
  TYPES_TSearchParamsFlag : Array[TSearchParamsFlag] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate, 
       SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsFlag : Array[TSearchParamsFlag] of TSearchParamsFlag = ( spFlag__id,  spFlag__language,  spFlag__lastUpdated,  spFlag__profile,  spFlag__security,  spFlag__tag,  spFlag_Author,  spFlag_Date,  spFlag_Patient,  spFlag_Subject);
  PATHS_TSearchParamsFlag : Array[TSearchParamsFlag] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'author: [frtDevice, frtPatient, frtPractitioner]',
     'date: []',
     'patient: [frtPatient]',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsFlag : Array[TSearchParamsFlag] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice, frtPatient, frtPractitioner], [], [frtPatient], [frtPatient]);
  CODES_TSearchParamsGoal : Array[TSearchParamsGoal] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'patient');
  DESC_TSearchParamsGoal : Array[TSearchParamsGoal] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The patient for whom this goal is intended for');
  TYPES_TSearchParamsGoal : Array[TSearchParamsGoal] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsGoal : Array[TSearchParamsGoal] of TSearchParamsGoal = ( spGoal__id,  spGoal__language,  spGoal__lastUpdated,  spGoal__profile,  spGoal__security,  spGoal__tag,  spGoal_Patient);
  PATHS_TSearchParamsGoal : Array[TSearchParamsGoal] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'patient: [frtPatient]');
  TARGETS_TSearchParamsGoal : Array[TSearchParamsGoal] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtPatient]);
  CODES_TSearchParamsGroup : Array[TSearchParamsGroup] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'actual', 'characteristic', 'characteristic-value', 'code', 'exclude', 'identifier', 'member', 'type', 'value');
  DESC_TSearchParamsGroup : Array[TSearchParamsGroup] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Descriptive or actual',
     'Kind of characteristic',
     'A composite of both characteristic and value',
     'The kind of resources contained',
     'Group includes or excludes',
     'Unique id',
     'Who or what is in group',
     'The type of resources the group contains',
     'Value held by characteristic');
  TYPES_TSearchParamsGroup : Array[TSearchParamsGroup] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeComposite,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsGroup : Array[TSearchParamsGroup] of TSearchParamsGroup = ( spGroup__id,  spGroup__language,  spGroup__lastUpdated,  spGroup__profile,  spGroup__security,  spGroup__tag,  spGroup_Actual,  spGroup_Characteristic,  spGroup_Characteristic_value, 
      //  spGroup_Code,  spGroup_Exclude,  spGroup_Identifier,  spGroup_Member,  spGroup_Type,  spGroup_Value);
  PATHS_TSearchParamsGroup : Array[TSearchParamsGroup] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'actual: []',
     'characteristic: []',
     'characteristic-value: []',
     'code: []',
     'exclude: []',
     'identifier: []',
     'member: [frtMedication, frtDevice, frtPatient, frtSubstance, frtPractitioner]',
     'type: []',
     'value: []');
  TARGETS_TSearchParamsGroup : Array[TSearchParamsGroup] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [frtMedication, frtDevice, frtPatient, frtSubstance, frtPractitioner], [], []);
  CODES_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'characteristic', 'location', 'name', 'organization', 'programname', 'servicecategory', 'servicetype');
  DESC_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'One of the HealthcareService''s characteristics',
     'The location of the Healthcare Service',
     'A portion of the Healthcare service name',
     'The organization that provides this Healthcare Service',
     'One of the Program Names serviced by this HealthcareService',
     'Service Category of the Healthcare Service',
     'The type of service provided by this healthcare service');
  TYPES_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of TSearchParamsHealthcareService = ( spHealthcareService__id,  spHealthcareService__language,  spHealthcareService__lastUpdated,  spHealthcareService__profile,  spHealthcareService__security, 
      //  spHealthcareService__tag,  spHealthcareService_Characteristic,  spHealthcareService_Location,  spHealthcareService_Name,  spHealthcareService_Organization,  spHealthcareService_Programname,  spHealthcareService_Servicecategory,  spHealthcareService_Servicetype);
  PATHS_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'characteristic: []',
     'location: [frtLocation]',
     'name: []',
     'organization: [frtOrganization]',
     'programname: []',
     'servicecategory: []',
     'servicetype: []');
  TARGETS_TSearchParamsHealthcareService : Array[TSearchParamsHealthcareService] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtLocation], [], [frtOrganization], [], [], []);
  CODES_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'author', 'authoring-time', 'identifier', 'patient', 'selected-study', 'title');
  DESC_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Author of key DICOM object selection',
     'Time of key DICOM object selection authoring',
     'UID of key DICOM object selection',
     'Subject of key DICOM object selection',
     'Study selected in key DICOM object selection',
     'Title of key DICOM object selection');
  TYPES_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of TSearchParamsImagingObjectSelection = ( spImagingObjectSelection__id,  spImagingObjectSelection__language,  spImagingObjectSelection__lastUpdated,  spImagingObjectSelection__profile, 
      //  spImagingObjectSelection__security,  spImagingObjectSelection__tag,  spImagingObjectSelection_Author,  spImagingObjectSelection_Authoring_time,  spImagingObjectSelection_Identifier,  spImagingObjectSelection_Patient,  spImagingObjectSelection_Selected_study, 
      //  spImagingObjectSelection_Title);
  PATHS_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'author: [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'authoring-time: []',
     'identifier: []',
     'patient: [frtPatient]',
     'selected-study: []',
     'title: []');
  TARGETS_TSearchParamsImagingObjectSelection : Array[TSearchParamsImagingObjectSelection] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice, frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [], [frtPatient], [], []);
  CODES_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'accession', 'bodysite', 'dicom-class', 'modality', 'order', 'patient', 'series', 'started', 'study', 'uid');
  DESC_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The accession id for the image',
     'Body part examined (Map from 0018,0015)',
     'DICOM class type (0008,0016)',
     'The modality of the image',
     'The order for the image',
     'Who the study is about',
     'The series id for the image',
     'When the study was started',
     'The study id for the image',
     'Formal identifier for this instance (0008,0018)');
  TYPES_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of TSearchParamsImagingStudy = ( spImagingStudy__id,  spImagingStudy__language,  spImagingStudy__lastUpdated,  spImagingStudy__profile,  spImagingStudy__security,  spImagingStudy__tag, 
      //  spImagingStudy_Accession,  spImagingStudy_Bodysite,  spImagingStudy_Dicom_class,  spImagingStudy_Modality,  spImagingStudy_Order,  spImagingStudy_Patient,  spImagingStudy_Series,  spImagingStudy_Started,  spImagingStudy_Study,  spImagingStudy_Uid);
  PATHS_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'accession: []',
     'bodysite: []',
     'dicom-class: []',
     'modality: []',
     'order: [frtDiagnosticOrder]',
     'patient: [frtPatient]',
     'series: []',
     'started: []',
     'study: []',
     'uid: []');
  TARGETS_TSearchParamsImagingStudy : Array[TSearchParamsImagingStudy] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtDiagnosticOrder], [frtPatient], [], [], [], []);
  CODES_TSearchParamsImmunization : Array[TSearchParamsImmunization] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'date', 'dose-sequence', 'identifier', 'location', 'lot-number', 'manufacturer', 'notgiven', 'patient', 'performer', 'reaction', 'reaction-date', 'reason', 'reason-not-given', 'requester', 'subject', 'vaccine-type');
  DESC_TSearchParamsImmunization : Array[TSearchParamsImmunization] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Vaccination  (non)-Administration Date',
     'What dose number within series?',
     'Business identifier',
     'The service delivery location or facility in which the vaccine was / was to be administered',
     'Vaccine Lot Number',
     'Vaccine Manufacturer',
     'Administrations which were not given',
     'The patient for the vaccination record',
     'The practitioner who administered the vaccination',
     'Additional information on reaction',
     'When did reaction start?',
     'Why immunization occurred',
     'Explanation of reason vaccination was not administered',
     'The practitioner who ordered the vaccination',
     'The patient for the vaccination record',
     'Vaccine Product Type Administered');
  TYPES_TSearchParamsImmunization : Array[TSearchParamsImmunization] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeNumber,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsImmunization : Array[TSearchParamsImmunization] of TSearchParamsImmunization = ( spImmunization__id,  spImmunization__language,  spImmunization__lastUpdated,  spImmunization__profile,  spImmunization__security,  spImmunization__tag, 
      //  spImmunization_Date,  spImmunization_Dose_sequence,  spImmunization_Identifier,  spImmunization_Location,  spImmunization_Lot_number,  spImmunization_Manufacturer,  spImmunization_Notgiven,  spImmunization_Patient,  spImmunization_Performer,  spImmunization_Reaction, 
      //  spImmunization_Reaction_date,  spImmunization_Reason,  spImmunization_Reason_not_given,  spImmunization_Requester,  spImmunization_Subject,  spImmunization_Vaccine_type);
  PATHS_TSearchParamsImmunization : Array[TSearchParamsImmunization] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'date: []',
     'dose-sequence: []',
     'identifier: []',
     'location: [frtLocation]',
     'lot-number: []',
     'manufacturer: [frtOrganization]',
     'notgiven: []',
     'patient: [frtPatient]',
     'performer: [frtPractitioner]',
     'reaction: [frtObservation]',
     'reaction-date: []',
     'reason: []',
     'reason-not-given: []',
     'requester: [frtPractitioner]',
     'subject: [frtPatient]',
     'vaccine-type: []');
  TARGETS_TSearchParamsImmunization : Array[TSearchParamsImmunization] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtLocation], [], [frtOrganization], [], [frtPatient], [frtPractitioner], [frtObservation], [], [], [], [frtPractitioner], [frtPatient], []);
  CODES_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'date', 'dose-number', 'dose-sequence', 'identifier', 'information', 'patient', 'status', 'subject', 'support', 'vaccine-type');
  DESC_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Date recommendation created',
     'Recommended dose number',
     'Number of dose within sequence',
     'Business identifier',
     'Patient observations supporting recommendation',
     'Who this profile is for',
     'Vaccine administration status',
     'Who this profile is for',
     'Past immunizations supporting recommendation',
     'Vaccine recommendation applies to');
  TYPES_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeDate,  SearchParamTypeNumber,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of TSearchParamsImmunizationRecommendation = ( spImmunizationRecommendation__id,  spImmunizationRecommendation__language,  spImmunizationRecommendation__lastUpdated, 
      //  spImmunizationRecommendation__profile,  spImmunizationRecommendation__security,  spImmunizationRecommendation__tag,  spImmunizationRecommendation_Date,  spImmunizationRecommendation_Dose_number,  spImmunizationRecommendation_Dose_sequence,  spImmunizationRecommendation_Identifier, 
      //  spImmunizationRecommendation_Information,  spImmunizationRecommendation_Patient,  spImmunizationRecommendation_Status,  spImmunizationRecommendation_Subject,  spImmunizationRecommendation_Support,  spImmunizationRecommendation_Vaccine_type);
  PATHS_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'date: []',
     'dose-number: []',
     'dose-sequence: []',
     'identifier: []',
     'information: [frtAllergyIntolerance, frtObservation]',
     'patient: [frtPatient]',
     'status: []',
     'subject: [frtPatient]',
     'support: [frtImmunization]',
     'vaccine-type: []');
  TARGETS_TSearchParamsImmunizationRecommendation : Array[TSearchParamsImmunizationRecommendation] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtAllergyIntolerance, frtObservation], [frtPatient], [], [frtPatient], [frtImmunization], []);
  CODES_TSearchParamsList : Array[TSearchParamsList] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'code', 'date', 'empty-reason', 'item', 'notes', 'patient', 'source', 'status', 'subject', 'title');
  DESC_TSearchParamsList : Array[TSearchParamsList] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'What the purpose of this list is',
     'When the list was prepared',
     'Why list is empty',
     'Actual entry',
     'Comments about the note',
     'If all resources have the same subject',
     'Who and/or what defined the list contents',
     'current | retired | entered-in-error',
     'If all resources have the same subject',
     'Descriptive name for the list');
  TYPES_TSearchParamsList : Array[TSearchParamsList] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString);
//  CHECK_TSearchParamsList : Array[TSearchParamsList] of TSearchParamsList = ( spList__id,  spList__language,  spList__lastUpdated,  spList__profile,  spList__security,  spList__tag,  spList_Code,  spList_Date,  spList_Empty_reason,  spList_Item,  spList_Notes, 
      //  spList_Patient,  spList_Source,  spList_Status,  spList_Subject,  spList_Title);
  PATHS_TSearchParamsList : Array[TSearchParamsList] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'code: []',
     'date: []',
     'empty-reason: []',
     'item: ALL_RESOURCE_TYPES',
     'notes: []',
     'patient: [frtPatient]',
     'source: [frtDevice, frtPatient, frtPractitioner]',
     'status: []',
     'subject: [frtDevice, frtLocation, frtPatient, frtGroup]',
     'title: []');
  TARGETS_TSearchParamsList : Array[TSearchParamsList] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], ALL_RESOURCE_TYPES, [], [frtPatient], [frtDevice, frtPatient, frtPractitioner], [], [frtDevice, frtLocation, frtPatient, frtGroup], []);
  CODES_TSearchParamsLocation : Array[TSearchParamsLocation] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'address', 'identifier', 'name', 'near', 'near-distance', 'organization', 'partof', 'status', 'type');
  DESC_TSearchParamsLocation : Array[TSearchParamsLocation] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'A (part of the) address of the location',
     'Unique code or number identifying the location to its users',
     'A (portion of the) name of the location',
     'The coordinates expressed as [lat],[long] (using the WGS84 datum, see notes) to find locations near to (servers may search using a square rather than a circle for efficiency)',
     'A distance quantity to limit the near search to locations within a specific distance',
     'Searches for locations that are managed by the provided organization',
     'The location of which this location is a part',
     'Searches for locations with a specific kind of status',
     'A code for the type of location');
  TYPES_TSearchParamsLocation : Array[TSearchParamsLocation] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsLocation : Array[TSearchParamsLocation] of TSearchParamsLocation = ( spLocation__id,  spLocation__language,  spLocation__lastUpdated,  spLocation__profile,  spLocation__security,  spLocation__tag,  spLocation_Address,  spLocation_Identifier, 
      //  spLocation_Name,  spLocation_Near,  spLocation_Near_distance,  spLocation_Organization,  spLocation_Partof,  spLocation_Status,  spLocation_Type);
  PATHS_TSearchParamsLocation : Array[TSearchParamsLocation] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'address: []',
     'identifier: []',
     'name: []',
     'near: []',
     'near-distance: []',
     'organization: [frtOrganization]',
     'partof: [frtLocation]',
     'status: []',
     'type: []');
  TARGETS_TSearchParamsLocation : Array[TSearchParamsLocation] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtOrganization], [frtLocation], [], []);
  CODES_TSearchParamsMedia : Array[TSearchParamsMedia] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'created', 'identifier', 'operator', 'patient', 'subject', 'subtype', 'type', 'view');
  DESC_TSearchParamsMedia : Array[TSearchParamsMedia] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Date attachment was first created',
     'Identifier(s) for the image',
     'The person who generated the image',
     'Who/What this Media is a record of',
     'Who/What this Media is a record of',
     'The type of acquisition equipment/process',
     'photo | video | audio',
     'Imaging view e.g Lateral or Antero-posterior');
  TYPES_TSearchParamsMedia : Array[TSearchParamsMedia] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsMedia : Array[TSearchParamsMedia] of TSearchParamsMedia = ( spMedia__id,  spMedia__language,  spMedia__lastUpdated,  spMedia__profile,  spMedia__security,  spMedia__tag,  spMedia_Created,  spMedia_Identifier,  spMedia_Operator, 
      //  spMedia_Patient,  spMedia_Subject,  spMedia_Subtype,  spMedia_Type,  spMedia_View);
  PATHS_TSearchParamsMedia : Array[TSearchParamsMedia] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'created: []',
     'identifier: []',
     'operator: [frtPractitioner]',
     'patient: [frtPatient]',
     'subject: [frtSpecimen, frtDevice, frtPatient, frtPractitioner, frtGroup]',
     'subtype: []',
     'type: []',
     'view: []');
  TARGETS_TSearchParamsMedia : Array[TSearchParamsMedia] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtPractitioner], [frtPatient], [frtSpecimen, frtDevice, frtPatient, frtPractitioner, frtGroup], [], [], []);
  CODES_TSearchParamsMedication : Array[TSearchParamsMedication] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'code', 'container', 'content', 'form', 'ingredient', 'manufacturer', 'name');
  DESC_TSearchParamsMedication : Array[TSearchParamsMedication] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Codes that identify this medication',
     'E.g. box, vial, blister-pack',
     'A product in the package',
     'powder | tablets | carton +',
     'The product contained',
     'Manufacturer of the item',
     'Common / Commercial name');
  TYPES_TSearchParamsMedication : Array[TSearchParamsMedication] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeString);
//  CHECK_TSearchParamsMedication : Array[TSearchParamsMedication] of TSearchParamsMedication = ( spMedication__id,  spMedication__language,  spMedication__lastUpdated,  spMedication__profile,  spMedication__security,  spMedication__tag,  spMedication_Code, 
      //  spMedication_Container,  spMedication_Content,  spMedication_Form,  spMedication_Ingredient,  spMedication_Manufacturer,  spMedication_Name);
  PATHS_TSearchParamsMedication : Array[TSearchParamsMedication] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'code: []',
     'container: []',
     'content: [frtMedication]',
     'form: []',
     'ingredient: [frtMedication, frtSubstance]',
     'manufacturer: [frtOrganization]',
     'name: []');
  TARGETS_TSearchParamsMedication : Array[TSearchParamsMedication] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtMedication], [], [frtMedication, frtSubstance], [frtOrganization], []);
  CODES_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'device', 'effectivetime', 'encounter', 'identifier', 'medication', 'notgiven', 'patient', 'practitioner', 'prescription', 'status');
  DESC_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Return administrations with this administration device identity',
     'Date administration happened (or did not happen)',
     'Return administrations that share this encounter',
     'Return administrations with this external identity',
     'Return administrations of this medication',
     'Administrations that were not made',
     'The identity of a patient to list administrations  for',
     'Who administered substance?',
     'The identity of a prescription to list administrations from',
     'MedicationAdministration event status (for example one of active/paused/completed/nullified)');
  TYPES_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of TSearchParamsMedicationAdministration = ( spMedicationAdministration__id,  spMedicationAdministration__language,  spMedicationAdministration__lastUpdated, 
      //  spMedicationAdministration__profile,  spMedicationAdministration__security,  spMedicationAdministration__tag,  spMedicationAdministration_Device,  spMedicationAdministration_Effectivetime,  spMedicationAdministration_Encounter,  spMedicationAdministration_Identifier, 
      //  spMedicationAdministration_Medication,  spMedicationAdministration_Notgiven,  spMedicationAdministration_Patient,  spMedicationAdministration_Practitioner,  spMedicationAdministration_Prescription,  spMedicationAdministration_Status);
  PATHS_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'device: [frtDevice]',
     'effectivetime: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'medication: [frtMedication]',
     'notgiven: []',
     'patient: [frtPatient]',
     'practitioner: [frtPractitioner]',
     'prescription: [frtMedicationPrescription]',
     'status: []');
  TARGETS_TSearchParamsMedicationAdministration : Array[TSearchParamsMedicationAdministration] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice], [], [frtEncounter], [], [frtMedication], [], [frtPatient], [frtPractitioner], [frtMedicationPrescription], []);
  CODES_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'destination', 'dispenser', 'identifier', 'medication', 'patient', 'prescription', 'receiver', 'responsibleparty', 'status', 'type', 'whenhandedover', 'whenprepared');
  DESC_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Return dispenses that should be sent to a secific destination',
     'Return all dispenses performed by a specific indiividual',
     'Return dispenses with this external identity',
     'Returns dispenses of this medicine',
     'The identity of a patient to list dispenses  for',
     'The identity of a prescription to list dispenses from',
     'Who collected the medication',
     'Return all dispenses with the specified responsible party',
     'Status of the dispense',
     'Return all dispenses of a specific type',
     'Date when medication handed over to patient (outpatient setting), or supplied to ward or clinic (inpatient setting)',
     'Date when medication prepared');
  TYPES_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeDate);
//  CHECK_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of TSearchParamsMedicationDispense = ( spMedicationDispense__id,  spMedicationDispense__language,  spMedicationDispense__lastUpdated,  spMedicationDispense__profile,  spMedicationDispense__security, 
      //  spMedicationDispense__tag,  spMedicationDispense_Destination,  spMedicationDispense_Dispenser,  spMedicationDispense_Identifier,  spMedicationDispense_Medication,  spMedicationDispense_Patient,  spMedicationDispense_Prescription,  spMedicationDispense_Receiver, 
      //  spMedicationDispense_Responsibleparty,  spMedicationDispense_Status,  spMedicationDispense_Type,  spMedicationDispense_Whenhandedover,  spMedicationDispense_Whenprepared);
  PATHS_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'destination: [frtLocation]',
     'dispenser: [frtPractitioner]',
     'identifier: []',
     'medication: [frtMedication]',
     'patient: [frtPatient]',
     'prescription: [frtMedicationPrescription]',
     'receiver: [frtPatient, frtPractitioner]',
     'responsibleparty: [frtPractitioner]',
     'status: []',
     'type: []',
     'whenhandedover: []',
     'whenprepared: []');
  TARGETS_TSearchParamsMedicationDispense : Array[TSearchParamsMedicationDispense] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtLocation], [frtPractitioner], [], [frtMedication], [frtPatient], [frtMedicationPrescription], [frtPatient, frtPractitioner], [frtPractitioner], [], [], [], []);
  CODES_TSearchParamsMedicationPrescription : Array[TSearchParamsMedicationPrescription] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'datewritten', 'encounter', 'identifier', 'medication', 'patient', 'prescriber', 'status');
  DESC_TSearchParamsMedicationPrescription : Array[TSearchParamsMedicationPrescription] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Return prescriptions written on this date',
     'Return prescriptions with this encounter identity',
     'Return prescriptions with this external identity',
     'Code for medicine or text in medicine name',
     'The identity of a patient to list dispenses  for',
     'Who ordered the medication(s)',
     'Status of the prescription');
  TYPES_TSearchParamsMedicationPrescription : Array[TSearchParamsMedicationPrescription] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsMedicationPrescription : Array[TSearchParamsMedicationPrescription] of TSearchParamsMedicationPrescription = ( spMedicationPrescription__id,  spMedicationPrescription__language,  spMedicationPrescription__lastUpdated,  spMedicationPrescription__profile, 
      //  spMedicationPrescription__security,  spMedicationPrescription__tag,  spMedicationPrescription_Datewritten,  spMedicationPrescription_Encounter,  spMedicationPrescription_Identifier,  spMedicationPrescription_Medication,  spMedicationPrescription_Patient, 
      //  spMedicationPrescription_Prescriber,  spMedicationPrescription_Status);
  PATHS_TSearchParamsMedicationPrescription : Array[TSearchParamsMedicationPrescription] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'datewritten: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'medication: [frtMedication]',
     'patient: [frtPatient]',
     'prescriber: [frtPractitioner]',
     'status: []');
  TARGETS_TSearchParamsMedicationPrescription : Array[TSearchParamsMedicationPrescription] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtEncounter], [], [frtMedication], [frtPatient], [frtPractitioner], []);
  CODES_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'effectivedate', 'identifier', 'medication', 'patient', 'source', 'status');
  DESC_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Date when patient was taking (or not taking) the medication',
     'Return statements with this external identity',
     'Code for medicine or text in medicine name',
     'The identity of a patient to list statements  for',
     'Who the information in the statement came from',
     'Return statements that match the given status');
  TYPES_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of TSearchParamsMedicationStatement = ( spMedicationStatement__id,  spMedicationStatement__language,  spMedicationStatement__lastUpdated,  spMedicationStatement__profile, 
      //  spMedicationStatement__security,  spMedicationStatement__tag,  spMedicationStatement_Effectivedate,  spMedicationStatement_Identifier,  spMedicationStatement_Medication,  spMedicationStatement_Patient,  spMedicationStatement_Source,  spMedicationStatement_Status);
  PATHS_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'effectivedate: []',
     'identifier: []',
     'medication: [frtMedication]',
     'patient: [frtPatient]',
     'source: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'status: []');
  TARGETS_TSearchParamsMedicationStatement : Array[TSearchParamsMedicationStatement] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtMedication], [frtPatient], [frtPatient, frtPractitioner, frtRelatedPerson], []);
  CODES_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'author', 'code', 'data', 'destination', 'destination-uri', 'enterer', 'event', 'receiver', 'response-id', 'responsible', 'source', 'source-uri', 'src-id', 'target', 'timestamp');
  DESC_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The source of the decision',
     'ok | transient-error | fatal-error',
     'The actual content of the message',
     'Name of system',
     'Actual destination address or id',
     'The source of the data entry',
     'Code for the event this message represents',
     'Intended "real-world" recipient for the data',
     'Id of original message',
     'Final responsibility for event',
     'Name of system',
     'Actual message source address or id',
     'Id of this message',
     'Particular delivery destination within the destination',
     'Time that the message was sent');
  TYPES_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeUri, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate);
//  CHECK_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of TSearchParamsMessageHeader = ( spMessageHeader__id,  spMessageHeader__language,  spMessageHeader__lastUpdated,  spMessageHeader__profile,  spMessageHeader__security,  spMessageHeader__tag, 
      //  spMessageHeader_Author,  spMessageHeader_Code,  spMessageHeader_Data,  spMessageHeader_Destination,  spMessageHeader_Destination_uri,  spMessageHeader_Enterer,  spMessageHeader_Event,  spMessageHeader_Receiver,  spMessageHeader_Response_id,  spMessageHeader_Responsible, 
      //  spMessageHeader_Source,  spMessageHeader_Source_uri,  spMessageHeader_Src_id,  spMessageHeader_Target,  spMessageHeader_Timestamp);
  PATHS_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'author: [frtPractitioner]',
     'code: []',
     'data: ALL_RESOURCE_TYPES',
     'destination: []',
     'destination-uri: []',
     'enterer: [frtPractitioner]',
     'event: []',
     'receiver: [frtOrganization, frtPractitioner]',
     'response-id: []',
     'responsible: [frtOrganization, frtPractitioner]',
     'source: []',
     'source-uri: []',
     'src-id: []',
     'target: [frtDevice]',
     'timestamp: []');
  TARGETS_TSearchParamsMessageHeader : Array[TSearchParamsMessageHeader] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtPractitioner], [], ALL_RESOURCE_TYPES, [], [], [frtPractitioner], [], [frtOrganization, frtPractitioner], [], [frtOrganization, frtPractitioner], [], [], [], [frtDevice], []);
  CODES_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'category', 'contact', 'country', 'date', 'idtype', 'name', 'period', 'publisher', 'replacedby', 'responsible', 'status', 'telecom', 'type', 'value');
  DESC_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'e.g. driver,  provider,  patient, bank etc',
     'Name of a individual to contact',
     'ISO 3-char country code',
     'Publication Date(/time)',
     'oid | uuid | uri | other',
     'Human-readable label',
     'When is identifier valid?',
     'Name of the publisher (Organization or individual)',
     'Use this instead',
     'Who maintains system namespace?',
     'draft | active | retired',
     'Contact details for individual or publisher',
     'codesystem | identifier | root',
     'The unique identifier');
  TYPES_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeString);
//  CHECK_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of TSearchParamsNamingSystem = ( spNamingSystem__id,  spNamingSystem__language,  spNamingSystem__lastUpdated,  spNamingSystem__profile,  spNamingSystem__security,  spNamingSystem__tag, 
      //  spNamingSystem_Category,  spNamingSystem_Contact,  spNamingSystem_Country,  spNamingSystem_Date,  spNamingSystem_Idtype,  spNamingSystem_Name,  spNamingSystem_Period,  spNamingSystem_Publisher,  spNamingSystem_Replacedby,  spNamingSystem_Responsible, 
      //  spNamingSystem_Status,  spNamingSystem_Telecom,  spNamingSystem_Type,  spNamingSystem_Value);
  PATHS_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'category: []',
     'contact: []',
     'country: []',
     'date: []',
     'idtype: []',
     'name: []',
     'period: []',
     'publisher: []',
     'replacedby: [frtNamingSystem]',
     'responsible: []',
     'status: []',
     'telecom: []',
     'type: []',
     'value: []');
  TARGETS_TSearchParamsNamingSystem : Array[TSearchParamsNamingSystem] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtNamingSystem], [], [], [], [], []);
  CODES_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'additive', 'datetime', 'encounter', 'formula', 'identifier', 'oraldiet', 'patient', 'provider', 'status', 'supplement');
  DESC_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Type of module component to add to the feeding',
     'Return nutrition orders requested on this date',
     'Return nutrition orders with this encounter identity',
     'Type of enteral or infant formula',
     'Return nutrition orders with this external identity',
     'Type of diet that can be consumed orally (i.e., take via the mouth).',
     'The identity of the person who requires the diet, formula or nutritional supplement',
     'The identify of the provider who placed the nutrition order',
     'Status of the nutrition order.',
     'Type of supplement product requested');
  TYPES_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of TSearchParamsNutritionOrder = ( spNutritionOrder__id,  spNutritionOrder__language,  spNutritionOrder__lastUpdated,  spNutritionOrder__profile,  spNutritionOrder__security,  spNutritionOrder__tag, 
      //  spNutritionOrder_Additive,  spNutritionOrder_Datetime,  spNutritionOrder_Encounter,  spNutritionOrder_Formula,  spNutritionOrder_Identifier,  spNutritionOrder_Oraldiet,  spNutritionOrder_Patient,  spNutritionOrder_Provider,  spNutritionOrder_Status, 
      //  spNutritionOrder_Supplement);
  PATHS_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'additive: []',
     'datetime: []',
     'encounter: [frtEncounter]',
     'formula: []',
     'identifier: []',
     'oraldiet: []',
     'patient: [frtPatient]',
     'provider: [frtPractitioner]',
     'status: []',
     'supplement: []');
  TARGETS_TSearchParamsNutritionOrder : Array[TSearchParamsNutritionOrder] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtEncounter], [], [], [], [frtPatient], [frtPractitioner], [], []);
  CODES_TSearchParamsObservation : Array[TSearchParamsObservation] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'code', 'code-value-[x]', 'data-absent-reason', 'date', 'device', 'encounter', 'identifier', 'patient', 'performer', 'related', 'related-target', 'related-type', 'reliability', 'specimen', 'status', 'subject', 'value-concept', 'value-date', 'value-quantity', 'value-string');
  DESC_TSearchParamsObservation : Array[TSearchParamsObservation] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The code of the observation type',
     'Both code and one of the value parameters',
     'The reason why the expected value in the element Observation.value[x] is missing.',
     'Obtained date/time. If the obtained element is a period, a date that falls in the period',
     'The Device that generated the observation data.',
     'Healthcare event related to the observation',
     'The unique Id for a particular observation',
     'The subject that the observation is about (if patient)',
     'Who performed the observation',
     'Related Observations - search on related-type and related-target together',
     'Observation that is related to this one',
     'has-component | has-member | derived-from | sequel-to | replaces | qualified-by | interfered-by',
     'The reliability of the observation',
     'Specimen used for this observation',
     'The status of the observation',
     'The subject that the observation is about',
     'The value of the observation, if the value is a CodeableConcept',
     'The value of the observation, if the value is a Period',
     'The value of the observation, if the value is a Quantity, or a SampledData (just search on the bounds of the values in sampled data)',
     'The value of the observation, if the value is a string, and also searches in CodeableConcept.text');
  TYPES_TSearchParamsObservation : Array[TSearchParamsObservation] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeComposite,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeComposite,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeQuantity,  SearchParamTypeString);
//  CHECK_TSearchParamsObservation : Array[TSearchParamsObservation] of TSearchParamsObservation = ( spObservation__id,  spObservation__language,  spObservation__lastUpdated,  spObservation__profile,  spObservation__security,  spObservation__tag,  spObservation_Code, 
      //  spObservation_Code_value_x,  spObservation_Data_absent_reason,  spObservation_Date,  spObservation_Device,  spObservation_Encounter,  spObservation_Identifier,  spObservation_Patient,  spObservation_Performer,  spObservation_Related,  spObservation_Related_target, 
      //  spObservation_Related_type,  spObservation_Reliability,  spObservation_Specimen,  spObservation_Status,  spObservation_Subject,  spObservation_Value_concept,  spObservation_Value_date,  spObservation_Value_quantity,  spObservation_Value_string);
  PATHS_TSearchParamsObservation : Array[TSearchParamsObservation] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'code: []',
     'code-value-[x]: []',
     'data-absent-reason: []',
     'date: []',
     'device: [frtDevice, frtDeviceMetric]',
     'encounter: [frtEncounter]',
     'identifier: []',
     'patient: [frtPatient]',
     'performer: [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'related: []',
     'related-target: [frtObservation]',
     'related-type: []',
     'reliability: []',
     'specimen: [frtSpecimen]',
     'status: []',
     'subject: [frtDevice, frtLocation, frtPatient, frtGroup]',
     'value-concept: []',
     'value-date: []',
     'value-quantity: []',
     'value-string: []');
  TARGETS_TSearchParamsObservation : Array[TSearchParamsObservation] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtDevice, frtDeviceMetric], [frtEncounter], [], [frtPatient], [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [], [frtObservation], [], [], [frtSpecimen], [], [frtDevice, frtLocation, frtPatient, frtGroup], [], [], [], []);
  CODES_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'base', 'code', 'date', 'instance', 'kind', 'name', 'profile', 'publisher', 'status', 'system', 'type', 'url', 'version');
  DESC_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Marks this as a profile of the base',
     'Name used to invoke the operation',
     'Date for this version of the operation definition',
     'Invoke on an instance?',
     'operation | query',
     'Informal name for this profile',
     'Profile on the type',
     'Name of the publisher (Organization or individual)',
     'draft | active | retired',
     'Invoke at the system level?',
     'Invoke at resource level for these type',
     'Logical url to reference this operation definition',
     'Logical id for this version of the operation definition');
  TYPES_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeUri, 
       SearchParamTypeToken);
//  CHECK_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of TSearchParamsOperationDefinition = ( spOperationDefinition__id,  spOperationDefinition__language,  spOperationDefinition__lastUpdated,  spOperationDefinition__profile, 
      //  spOperationDefinition__security,  spOperationDefinition__tag,  spOperationDefinition_Base,  spOperationDefinition_Code,  spOperationDefinition_Date,  spOperationDefinition_Instance,  spOperationDefinition_Kind,  spOperationDefinition_Name,  spOperationDefinition_Profile, 
      //  spOperationDefinition_Publisher,  spOperationDefinition_Status,  spOperationDefinition_System,  spOperationDefinition_Type,  spOperationDefinition_Url,  spOperationDefinition_Version);
  PATHS_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'base: [frtOperationDefinition]',
     'code: []',
     'date: []',
     'instance: []',
     'kind: []',
     'name: []',
     'profile: [frtStructureDefinition]',
     'publisher: []',
     'status: []',
     'system: []',
     'type: []',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsOperationDefinition : Array[TSearchParamsOperationDefinition] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtOperationDefinition], [], [], [], [], [], [frtStructureDefinition], [], [], [], [], [], []);
  CODES_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag');
  DESC_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied');
  TYPES_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of TSearchParamsOperationOutcome = ( spOperationOutcome__id,  spOperationOutcome__language,  spOperationOutcome__lastUpdated,  spOperationOutcome__profile,  spOperationOutcome__security, 
      //  spOperationOutcome__tag);
  PATHS_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []');
  TARGETS_TSearchParamsOperationOutcome : Array[TSearchParamsOperationOutcome] of TFhirResourceTypeSet = ([], [], [], [], [], []);
  CODES_TSearchParamsOrder : Array[TSearchParamsOrder] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'authority', 'date', 'detail', 'patient', 'source', 'subject', 'target', 'when', 'when_code');
  DESC_TSearchParamsOrder : Array[TSearchParamsOrder] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'If required by policy',
     'When the order was made',
     'What action is being ordered',
     'Patient this order is about',
     'Who initiated the order',
     'Patient this order is about',
     'Who is intended to fulfill the order',
     'A formal schedule',
     'Code specifies when request should be done. The code may simply be a priority code');
  TYPES_TSearchParamsOrder : Array[TSearchParamsOrder] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken);
//  CHECK_TSearchParamsOrder : Array[TSearchParamsOrder] of TSearchParamsOrder = ( spOrder__id,  spOrder__language,  spOrder__lastUpdated,  spOrder__profile,  spOrder__security,  spOrder__tag,  spOrder_Authority,  spOrder_Date,  spOrder_Detail,  spOrder_Patient, 
      //  spOrder_Source,  spOrder_Subject,  spOrder_Target,  spOrder_When,  spOrder_When_code);
  PATHS_TSearchParamsOrder : Array[TSearchParamsOrder] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'authority: ALL_RESOURCE_TYPES',
     'date: []',
     'detail: ALL_RESOURCE_TYPES',
     'patient: [frtPatient]',
     'source: [frtPractitioner]',
     'subject: [frtDevice, frtPatient, frtSubstance, frtGroup]',
     'target: [frtDevice, frtOrganization, frtPractitioner]',
     'when: []',
     'when_code: []');
  TARGETS_TSearchParamsOrder : Array[TSearchParamsOrder] of TFhirResourceTypeSet = ([], [], [], [], [], [], ALL_RESOURCE_TYPES, [], ALL_RESOURCE_TYPES, [frtPatient], [frtPractitioner], [frtDevice, frtPatient, frtSubstance, frtGroup], [frtDevice, frtOrganization, frtPractitioner], [], []);
  CODES_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'code', 'date', 'fulfillment', 'patient', 'request', 'who');
  DESC_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'pending | review | rejected | error | accepted | cancelled | replaced | aborted | completed',
     'When the response was made',
     'Details of the outcome of performing the order',
     'The patient the reuqest order is related to',
     'The order that this is a response to',
     'Who made the response');
  TYPES_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of TSearchParamsOrderResponse = ( spOrderResponse__id,  spOrderResponse__language,  spOrderResponse__lastUpdated,  spOrderResponse__profile,  spOrderResponse__security,  spOrderResponse__tag, 
      //  spOrderResponse_Code,  spOrderResponse_Date,  spOrderResponse_Fulfillment,  spOrderResponse_Patient,  spOrderResponse_Request,  spOrderResponse_Who);
  PATHS_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'code: []',
     'date: []',
     'fulfillment: ALL_RESOURCE_TYPES',
     'patient: [frtPatient]',
     'request: [frtOrder]',
     'who: [frtDevice, frtOrganization, frtPractitioner]');
  TARGETS_TSearchParamsOrderResponse : Array[TSearchParamsOrderResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], ALL_RESOURCE_TYPES, [frtPatient], [frtOrder], [frtDevice, frtOrganization, frtPractitioner]);
  CODES_TSearchParamsOrganization : Array[TSearchParamsOrganization] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'active', 'address', 'identifier', 'name', 'partof', 'phonetic', 'type');
  DESC_TSearchParamsOrganization : Array[TSearchParamsOrganization] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Whether the organization''s record is active',
     'A (part of the) address of the Organization',
     'Any identifier for the organization (not the accreditation issuer''s identifier)',
     'A portion of the organization''s name',
     'Search all organizations that are part of the given organization',
     'A portion of the organization''s name using some kind of phonetic matching algorithm',
     'A code for the type of organization');
  TYPES_TSearchParamsOrganization : Array[TSearchParamsOrganization] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken);
//  CHECK_TSearchParamsOrganization : Array[TSearchParamsOrganization] of TSearchParamsOrganization = ( spOrganization__id,  spOrganization__language,  spOrganization__lastUpdated,  spOrganization__profile,  spOrganization__security,  spOrganization__tag, 
      //  spOrganization_Active,  spOrganization_Address,  spOrganization_Identifier,  spOrganization_Name,  spOrganization_Partof,  spOrganization_Phonetic,  spOrganization_Type);
  PATHS_TSearchParamsOrganization : Array[TSearchParamsOrganization] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'active: []',
     'address: []',
     'identifier: []',
     'name: []',
     'partof: [frtOrganization]',
     'phonetic: []',
     'type: []');
  TARGETS_TSearchParamsOrganization : Array[TSearchParamsOrganization] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtOrganization], [], []);
  CODES_TSearchParamsPatient : Array[TSearchParamsPatient] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'active', 'address', 'animal-breed', 'animal-species', 'birthdate', 'careprovider', 'deathdate', 'deceased', 'family', 'gender', 'given', 'identifier', 'language', 'link', 'name', 'organization', 'phonetic', 'telecom');
  DESC_TSearchParamsPatient : Array[TSearchParamsPatient] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Whether the patient record is active',
     'An address in any kind of address/part of the patient',
     'The breed for animal patients',
     'The species for animal patients',
     'The patient''s date of birth',
     'Patient''s nominated care provider, could be a care manager, not the organization that manages the record',
     'The date of death has been provided and satisfies this search value',
     'This patient has been marked as deceased, or as a death date entered',
     'A portion of the family name of the patient',
     'Gender of the patient',
     'A portion of the given name of the patient',
     'A patient identifier',
     'Language code (irrespective of use value)',
     'All patients linked to the given patient',
     'A portion of either family or given name of the patient',
     'The organization at which this person is a patient',
     'A portion of either family or given name using some kind of phonetic matching algorithm',
     'The value in any kind of telecom details of the patient');
  TYPES_TSearchParamsPatient : Array[TSearchParamsPatient] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken);
//  CHECK_TSearchParamsPatient : Array[TSearchParamsPatient] of TSearchParamsPatient = ( spPatient__id,  spPatient__language,  spPatient__lastUpdated,  spPatient__profile,  spPatient__security,  spPatient__tag,  spPatient_Active,  spPatient_Address,  spPatient_Animal_breed, 
      //  spPatient_Animal_species,  spPatient_Birthdate,  spPatient_Careprovider,  spPatient_Deathdate,  spPatient_Deceased,  spPatient_Family,  spPatient_Gender,  spPatient_Given,  spPatient_Identifier,  spPatient_Language,  spPatient_Link,  spPatient_Name, 
      //  spPatient_Organization,  spPatient_Phonetic,  spPatient_Telecom);
  PATHS_TSearchParamsPatient : Array[TSearchParamsPatient] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'active: []',
     'address: []',
     'animal-breed: []',
     'animal-species: []',
     'birthdate: []',
     'careprovider: [frtOrganization, frtPractitioner]',
     'deathdate: []',
     'deceased: []',
     'family: []',
     'gender: []',
     'given: []',
     'identifier: []',
     'language: []',
     'link: [frtPatient]',
     'name: []',
     'organization: [frtOrganization]',
     'phonetic: []',
     'telecom: []');
  TARGETS_TSearchParamsPatient : Array[TSearchParamsPatient] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [frtOrganization, frtPractitioner], [], [], [], [], [], [], [], [frtPatient], [], [frtOrganization], [], []);
  CODES_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier');
  DESC_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The business identifier of the Eligibility');
  TYPES_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of TSearchParamsPaymentNotice = ( spPaymentNotice__id,  spPaymentNotice__language,  spPaymentNotice__lastUpdated,  spPaymentNotice__profile,  spPaymentNotice__security,  spPaymentNotice__tag, 
      //  spPaymentNotice_Identifier);
  PATHS_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []');
  TARGETS_TSearchParamsPaymentNotice : Array[TSearchParamsPaymentNotice] of TFhirResourceTypeSet = ([], [], [], [], [], [], []);
  CODES_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier');
  DESC_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The business identifier of the Explanation of Benefit');
  TYPES_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of TSearchParamsPaymentReconciliation = ( spPaymentReconciliation__id,  spPaymentReconciliation__language,  spPaymentReconciliation__lastUpdated,  spPaymentReconciliation__profile, 
      //  spPaymentReconciliation__security,  spPaymentReconciliation__tag,  spPaymentReconciliation_Identifier);
  PATHS_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []');
  TARGETS_TSearchParamsPaymentReconciliation : Array[TSearchParamsPaymentReconciliation] of TFhirResourceTypeSet = ([], [], [], [], [], [], []);
  CODES_TSearchParamsPerson : Array[TSearchParamsPerson] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'address', 'birthdate', 'gender', 'identifier', 'link', 'name', 'organization', 'patient', 'phonetic', 'practitioner', 'relatedperson', 'telecom');
  DESC_TSearchParamsPerson : Array[TSearchParamsPerson] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'An address in any kind of address/part',
     'The person''s date of birth',
     'The gender of the person',
     'A person Identifier',
     'Any link has this Patient, Person, RelatedPerson or Practitioner reference',
     'A portion of name in any name part',
     'The organization at which this person record is being managed',
     'The Person links to this Patient',
     'A portion of name using some kind of phonetic matching algorithm',
     'The Person links to this Practitioner',
     'The Person links to this RelatedPerson',
     'The value in any kind of contact');
  TYPES_TSearchParamsPerson : Array[TSearchParamsPerson] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeDate, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsPerson : Array[TSearchParamsPerson] of TSearchParamsPerson = ( spPerson__id,  spPerson__language,  spPerson__lastUpdated,  spPerson__profile,  spPerson__security,  spPerson__tag,  spPerson_Address,  spPerson_Birthdate,  spPerson_Gender, 
      //  spPerson_Identifier,  spPerson_Link,  spPerson_Name,  spPerson_Organization,  spPerson_Patient,  spPerson_Phonetic,  spPerson_Practitioner,  spPerson_Relatedperson,  spPerson_Telecom);
  PATHS_TSearchParamsPerson : Array[TSearchParamsPerson] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'address: []',
     'birthdate: []',
     'gender: []',
     'identifier: []',
     'link: [frtPatient, frtPractitioner, frtPerson, frtRelatedPerson]',
     'name: []',
     'organization: [frtOrganization]',
     'patient: [frtPatient]',
     'phonetic: []',
     'practitioner: [frtPractitioner]',
     'relatedperson: [frtRelatedPerson]',
     'telecom: []');
  TARGETS_TSearchParamsPerson : Array[TSearchParamsPerson] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtPatient, frtPractitioner, frtPerson, frtRelatedPerson], [], [frtOrganization], [frtPatient], [], [frtPractitioner], [frtRelatedPerson], []);
  CODES_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'address', 'communication', 'family', 'gender', 'given', 'identifier', 'location', 'name', 'organization', 'phonetic', 'role', 'specialty', 'telecom');
  DESC_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'An address in any kind of address/part',
     'One of the languages that the practitioner can communicate with',
     'A portion of the family name',
     'Gender of the practitioner',
     'A portion of the given name',
     'A practitioner''s Identifier',
     'One of the locations at which this practitioner provides care',
     'A portion of either family or given name',
     'The identity of the organization the practitioner represents / acts on behalf of',
     'A portion of either family or given name using some kind of phonetic matching algorithm',
     'The practitioner can perform this role at for the organization',
     'The practitioner has this specailty at an organization',
     'The value in any kind of contact');
  TYPES_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken);
//  CHECK_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of TSearchParamsPractitioner = ( spPractitioner__id,  spPractitioner__language,  spPractitioner__lastUpdated,  spPractitioner__profile,  spPractitioner__security,  spPractitioner__tag, 
      //  spPractitioner_Address,  spPractitioner_Communication,  spPractitioner_Family,  spPractitioner_Gender,  spPractitioner_Given,  spPractitioner_Identifier,  spPractitioner_Location,  spPractitioner_Name,  spPractitioner_Organization,  spPractitioner_Phonetic, 
      //  spPractitioner_Role,  spPractitioner_Specialty,  spPractitioner_Telecom);
  PATHS_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'address: []',
     'communication: []',
     'family: []',
     'gender: []',
     'given: []',
     'identifier: []',
     'location: [frtLocation]',
     'name: []',
     'organization: [frtOrganization]',
     'phonetic: []',
     'role: []',
     'specialty: []',
     'telecom: []');
  TARGETS_TSearchParamsPractitioner : Array[TSearchParamsPractitioner] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [frtLocation], [], [frtOrganization], [], [], [], []);
  CODES_TSearchParamsProcedure : Array[TSearchParamsProcedure] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'date', 'encounter', 'location', 'patient', 'performer', 'type');
  DESC_TSearchParamsProcedure : Array[TSearchParamsProcedure] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Date/Period the procedure was performed',
     'The encounter when procedure performed',
     'Where the procedure happened',
     'The identity of a patient to list procedures  for',
     'The reference to the practitioner',
     'Type of procedure');
  TYPES_TSearchParamsProcedure : Array[TSearchParamsProcedure] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsProcedure : Array[TSearchParamsProcedure] of TSearchParamsProcedure = ( spProcedure__id,  spProcedure__language,  spProcedure__lastUpdated,  spProcedure__profile,  spProcedure__security,  spProcedure__tag,  spProcedure_Date,  spProcedure_Encounter, 
      //  spProcedure_Location,  spProcedure_Patient,  spProcedure_Performer,  spProcedure_Type);
  PATHS_TSearchParamsProcedure : Array[TSearchParamsProcedure] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'date: []',
     'encounter: [frtEncounter]',
     'location: [frtLocation]',
     'patient: [frtPatient]',
     'performer: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'type: []');
  TARGETS_TSearchParamsProcedure : Array[TSearchParamsProcedure] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtEncounter], [frtLocation], [frtPatient], [frtPatient, frtPractitioner, frtRelatedPerson], []);
  CODES_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'encounter', 'orderer', 'patient', 'performer', 'subject');
  DESC_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Encounter',
     'Ordering Party',
     'Search by subject - a patient',
     'Performer',
     'Search by subject');
  TYPES_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of TSearchParamsProcedureRequest = ( spProcedureRequest__id,  spProcedureRequest__language,  spProcedureRequest__lastUpdated,  spProcedureRequest__profile,  spProcedureRequest__security, 
      //  spProcedureRequest__tag,  spProcedureRequest_Encounter,  spProcedureRequest_Orderer,  spProcedureRequest_Patient,  spProcedureRequest_Performer,  spProcedureRequest_Subject);
  PATHS_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'encounter: [frtEncounter]',
     'orderer: [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson]',
     'patient: [frtPatient]',
     'performer: [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson]',
     'subject: [frtPatient]');
  TARGETS_TSearchParamsProcedureRequest : Array[TSearchParamsProcedureRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtEncounter], [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson], [frtPatient], [frtPatient, frtOrganization, frtPractitioner, frtRelatedPerson], [frtPatient]);
  CODES_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'action', 'identifier', 'organization', 'provider');
  DESC_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The action requested by this resource',
     'The business identifier of the ProcessRequest',
     'The organization who generated this request',
     'The provider who renerated this request');
  TYPES_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of TSearchParamsProcessRequest = ( spProcessRequest__id,  spProcessRequest__language,  spProcessRequest__lastUpdated,  spProcessRequest__profile,  spProcessRequest__security,  spProcessRequest__tag, 
      //  spProcessRequest_Action,  spProcessRequest_Identifier,  spProcessRequest_Organization,  spProcessRequest_Provider);
  PATHS_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'action: []',
     'identifier: []',
     'organization: [frtOrganization]',
     'provider: [frtPractitioner]');
  TARGETS_TSearchParamsProcessRequest : Array[TSearchParamsProcessRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtOrganization], [frtPractitioner]);
  CODES_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'identifier', 'organization', 'request', 'requestorganization', 'requestprovider');
  DESC_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The business identifier of the Explanation of Benefit',
     'The organization who generated this resource',
     'The reference to the claim',
     'The Organization who is responsible the request transaction',
     'The Provider who is responsible the request transaction');
  TYPES_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of TSearchParamsProcessResponse = ( spProcessResponse__id,  spProcessResponse__language,  spProcessResponse__lastUpdated,  spProcessResponse__profile,  spProcessResponse__security, 
      //  spProcessResponse__tag,  spProcessResponse_Identifier,  spProcessResponse_Organization,  spProcessResponse_Request,  spProcessResponse_Requestorganization,  spProcessResponse_Requestprovider);
  PATHS_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'identifier: []',
     'organization: [frtOrganization]',
     'request: ALL_RESOURCE_TYPES',
     'requestorganization: [frtOrganization]',
     'requestprovider: [frtPractitioner]');
  TARGETS_TSearchParamsProcessResponse : Array[TSearchParamsProcessResponse] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtOrganization], ALL_RESOURCE_TYPES, [frtOrganization], [frtPractitioner]);
  CODES_TSearchParamsProvenance : Array[TSearchParamsProvenance] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'end', 'location', 'party', 'partytype', 'patient', 'sigtype', 'start', 'target');
  DESC_TSearchParamsProvenance : Array[TSearchParamsProvenance] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'End time with inclusive boundary, if not ongoing',
     'Where the activity occurred, if relevant',
     'Identity of agent',
     'Agent Type',
     'A patient that the target resource(s) refer to',
     'Indication of the reason the entity signed the object(s)',
     'Starting time with inclusive boundary',
     'Target Reference(s) (usually version specific)');
  TYPES_TSearchParamsProvenance : Array[TSearchParamsProvenance] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeReference);
//  CHECK_TSearchParamsProvenance : Array[TSearchParamsProvenance] of TSearchParamsProvenance = ( spProvenance__id,  spProvenance__language,  spProvenance__lastUpdated,  spProvenance__profile,  spProvenance__security,  spProvenance__tag,  spProvenance_End, 
      //  spProvenance_Location,  spProvenance_Party,  spProvenance_Partytype,  spProvenance_Patient,  spProvenance_Sigtype,  spProvenance_Start,  spProvenance_Target);
  PATHS_TSearchParamsProvenance : Array[TSearchParamsProvenance] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'end: []',
     'location: [frtLocation]',
     'party: [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson]',
     'partytype: []',
     'patient: [frtPatient]',
     'sigtype: []',
     'start: []',
     'target: ALL_RESOURCE_TYPES');
  TARGETS_TSearchParamsProvenance : Array[TSearchParamsProvenance] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtLocation], [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson], [], [frtPatient], [], [], ALL_RESOURCE_TYPES);
  CODES_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'code', 'date', 'identifier', 'publisher', 'status', 'title', 'version');
  DESC_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'A code that corresponds to the questionnaire or one of its groups',
     'When the questionnaire was last changed',
     'An identifier for the questionnaire',
     'The author of the questionnaire',
     'The status of the questionnaire',
     'All or part of the name of the questionnaire (title for the root group of the questionnaire)',
     'The business version of the questionnaire');
  TYPES_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString);
//  CHECK_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of TSearchParamsQuestionnaire = ( spQuestionnaire__id,  spQuestionnaire__language,  spQuestionnaire__lastUpdated,  spQuestionnaire__profile,  spQuestionnaire__security,  spQuestionnaire__tag, 
      //  spQuestionnaire_Code,  spQuestionnaire_Date,  spQuestionnaire_Identifier,  spQuestionnaire_Publisher,  spQuestionnaire_Status,  spQuestionnaire_Title,  spQuestionnaire_Version);
  PATHS_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'code: []',
     'date: []',
     'identifier: []',
     'publisher: []',
     'status: []',
     'title: []',
     'version: []');
  TARGETS_TSearchParamsQuestionnaire : Array[TSearchParamsQuestionnaire] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsQuestionnaireAnswers : Array[TSearchParamsQuestionnaireAnswers] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'author', 'authored', 'encounter', 'patient', 'questionnaire', 'source', 'status', 'subject');
  DESC_TSearchParamsQuestionnaireAnswers : Array[TSearchParamsQuestionnaireAnswers] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The author of the questionnaire',
     'When the questionnaire was authored',
     'Encounter during which questionnaire was authored',
     'The patient that is the subject of the questionnaire',
     'The questionnaire the answers are provided for',
     'The person who answered the questions',
     'The status of the questionnaire answers',
     'The subject of the questionnaire');
  TYPES_TSearchParamsQuestionnaireAnswers : Array[TSearchParamsQuestionnaireAnswers] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeDate,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsQuestionnaireAnswers : Array[TSearchParamsQuestionnaireAnswers] of TSearchParamsQuestionnaireAnswers = ( spQuestionnaireAnswers__id,  spQuestionnaireAnswers__language,  spQuestionnaireAnswers__lastUpdated,  spQuestionnaireAnswers__profile, 
      //  spQuestionnaireAnswers__security,  spQuestionnaireAnswers__tag,  spQuestionnaireAnswers_Author,  spQuestionnaireAnswers_Authored,  spQuestionnaireAnswers_Encounter,  spQuestionnaireAnswers_Patient,  spQuestionnaireAnswers_Questionnaire,  spQuestionnaireAnswers_Source, 
      //  spQuestionnaireAnswers_Status,  spQuestionnaireAnswers_Subject);
  PATHS_TSearchParamsQuestionnaireAnswers : Array[TSearchParamsQuestionnaireAnswers] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'author: [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson]',
     'authored: []',
     'encounter: [frtEncounter]',
     'patient: [frtPatient]',
     'questionnaire: [frtQuestionnaire]',
     'source: [frtPatient, frtPractitioner, frtRelatedPerson]',
     'status: []',
     'subject: ALL_RESOURCE_TYPES');
  TARGETS_TSearchParamsQuestionnaireAnswers : Array[TSearchParamsQuestionnaireAnswers] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtDevice, frtPatient, frtPractitioner, frtRelatedPerson], [], [frtEncounter], [frtPatient], [frtQuestionnaire], [frtPatient, frtPractitioner, frtRelatedPerson], [], ALL_RESOURCE_TYPES);
  CODES_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'patient', 'priority', 'recipient', 'requester', 'specialty', 'status', 'type');
  DESC_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Who the referral is about',
     'The priority assigned to the referral',
     'The person that the referral was sent to',
     'Requester of referral / transfer of care',
     'The specialty that the referral is for',
     'The status of the referral',
     'The type of the referral');
  TYPES_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken);
//  CHECK_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of TSearchParamsReferralRequest = ( spReferralRequest__id,  spReferralRequest__language,  spReferralRequest__lastUpdated,  spReferralRequest__profile,  spReferralRequest__security, 
      //  spReferralRequest__tag,  spReferralRequest_Patient,  spReferralRequest_Priority,  spReferralRequest_Recipient,  spReferralRequest_Requester,  spReferralRequest_Specialty,  spReferralRequest_Status,  spReferralRequest_Type);
  PATHS_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'patient: [frtPatient]',
     'priority: []',
     'recipient: [frtOrganization, frtPractitioner]',
     'requester: [frtPatient, frtOrganization, frtPractitioner]',
     'specialty: []',
     'status: []',
     'type: []');
  TARGETS_TSearchParamsReferralRequest : Array[TSearchParamsReferralRequest] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtPatient], [], [frtOrganization, frtPractitioner], [frtPatient, frtOrganization, frtPractitioner], [], [], []);
  CODES_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'address', 'gender', 'identifier', 'name', 'patient', 'phonetic', 'telecom');
  DESC_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'An address in any kind of address/part',
     'Gender of the person',
     'A patient Identifier',
     'A portion of name in any name part',
     'The patient this person is related to',
     'A portion of name using some kind of phonetic matching algorithm',
     'The value in any kind of contact');
  TYPES_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeReference,  SearchParamTypeString,  SearchParamTypeToken);
//  CHECK_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of TSearchParamsRelatedPerson = ( spRelatedPerson__id,  spRelatedPerson__language,  spRelatedPerson__lastUpdated,  spRelatedPerson__profile,  spRelatedPerson__security,  spRelatedPerson__tag, 
      //  spRelatedPerson_Address,  spRelatedPerson_Gender,  spRelatedPerson_Identifier,  spRelatedPerson_Name,  spRelatedPerson_Patient,  spRelatedPerson_Phonetic,  spRelatedPerson_Telecom);
  PATHS_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'address: []',
     'gender: []',
     'identifier: []',
     'name: []',
     'patient: [frtPatient]',
     'phonetic: []',
     'telecom: []');
  TARGETS_TSearchParamsRelatedPerson : Array[TSearchParamsRelatedPerson] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtPatient], [], []);
  CODES_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'condition', 'date', 'identifier', 'method', 'patient', 'performer', 'subject');
  DESC_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Condition assessed',
     'When was assessment made?',
     'Unique identifier for the assessment',
     'Evaluation mechanism',
     'Who/what does assessment apply to?',
     'Who did assessment?',
     'Who/what does assessment apply to?');
  TYPES_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeDate,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of TSearchParamsRiskAssessment = ( spRiskAssessment__id,  spRiskAssessment__language,  spRiskAssessment__lastUpdated,  spRiskAssessment__profile,  spRiskAssessment__security,  spRiskAssessment__tag, 
      //  spRiskAssessment_Condition,  spRiskAssessment_Date,  spRiskAssessment_Identifier,  spRiskAssessment_Method,  spRiskAssessment_Patient,  spRiskAssessment_Performer,  spRiskAssessment_Subject);
  PATHS_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'condition: [frtCondition]',
     'date: []',
     'identifier: []',
     'method: []',
     'patient: [frtPatient]',
     'performer: [frtDevice, frtPractitioner]',
     'subject: [frtPatient, frtGroup]');
  TARGETS_TSearchParamsRiskAssessment : Array[TSearchParamsRiskAssessment] of TFhirResourceTypeSet = ([], [], [], [], [], [], [frtCondition], [], [], [], [frtPatient], [frtDevice, frtPractitioner], [frtPatient, frtGroup]);
  CODES_TSearchParamsSchedule : Array[TSearchParamsSchedule] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'actor', 'date', 'type');
  DESC_TSearchParamsSchedule : Array[TSearchParamsSchedule] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The individual(HealthcareService, Practitioner, Location, ...) to find a Schedule for',
     'Search for Schedule resources that have a period that contains this date specified',
     'The type of appointments that can be booked into associated slot(s)');
  TYPES_TSearchParamsSchedule : Array[TSearchParamsSchedule] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeDate, 
       SearchParamTypeToken);
//  CHECK_TSearchParamsSchedule : Array[TSearchParamsSchedule] of TSearchParamsSchedule = ( spSchedule__id,  spSchedule__language,  spSchedule__lastUpdated,  spSchedule__profile,  spSchedule__security,  spSchedule__tag,  spSchedule_Actor,  spSchedule_Date, 
      //  spSchedule_Type);
  PATHS_TSearchParamsSchedule : Array[TSearchParamsSchedule] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'actor: ALL_RESOURCE_TYPES',
     'date: []',
     'type: []');
  TARGETS_TSearchParamsSchedule : Array[TSearchParamsSchedule] of TFhirResourceTypeSet = ([], [], [], [], [], [], ALL_RESOURCE_TYPES, [], []);
  CODES_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'base', 'description', 'name', 'target', 'type', 'url');
  DESC_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The resource type this search parameter applies to',
     'Documentation for  search parameter',
     'Name of search parameter',
     'Types of resource (if a resource reference)',
     'number | date | string | token | reference | composite | quantity | uri',
     'Literal URL used to reference this search parameter');
  TYPES_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeUri);
//  CHECK_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of TSearchParamsSearchParameter = ( spSearchParameter__id,  spSearchParameter__language,  spSearchParameter__lastUpdated,  spSearchParameter__profile,  spSearchParameter__security, 
      //  spSearchParameter__tag,  spSearchParameter_Base,  spSearchParameter_Description,  spSearchParameter_Name,  spSearchParameter_Target,  spSearchParameter_Type,  spSearchParameter_Url);
  PATHS_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'base: []',
     'description: []',
     'name: []',
     'target: []',
     'type: []',
     'url: []');
  TARGETS_TSearchParamsSearchParameter : Array[TSearchParamsSearchParameter] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsSlot : Array[TSearchParamsSlot] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'fbtype', 'schedule', 'slottype', 'start');
  DESC_TSearchParamsSlot : Array[TSearchParamsSlot] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The free/busy status of the appointment',
     'The Schedule Resource that we are seeking a slot within',
     'The type of appointments that can be booked into the slot',
     'Appointment date/time.');
  TYPES_TSearchParamsSlot : Array[TSearchParamsSlot] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference, 
       SearchParamTypeToken,  SearchParamTypeDate);
//  CHECK_TSearchParamsSlot : Array[TSearchParamsSlot] of TSearchParamsSlot = ( spSlot__id,  spSlot__language,  spSlot__lastUpdated,  spSlot__profile,  spSlot__security,  spSlot__tag,  spSlot_Fbtype,  spSlot_Schedule,  spSlot_Slottype,  spSlot_Start);
  PATHS_TSearchParamsSlot : Array[TSearchParamsSlot] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'fbtype: []',
     'schedule: [frtSchedule]',
     'slottype: []',
     'start: []');
  TARGETS_TSearchParamsSlot : Array[TSearchParamsSlot] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtSchedule], [], []);
  CODES_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'accession', 'collected', 'collector', 'container', 'containerid', 'identifier', 'parent', 'patient', 'site-code', 'site-reference', 'subject', 'type');
  DESC_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'The accession number associated with the specimen',
     'The date the specimen was collected',
     'Who collected the specimen',
     'The kind of specimen container',
     'The unique identifier associated with the specimen container',
     'The unique identifier associated with the specimen',
     'The parent of the specimen',
     'The patient the specimen comes from',
     'The code for the body site from where the specimen originated',
     'BodySite resource for the body site from where the specimen originated',
     'The subject of the specimen',
     'The specimen type');
  TYPES_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of TSearchParamsSpecimen = ( spSpecimen__id,  spSpecimen__language,  spSpecimen__lastUpdated,  spSpecimen__profile,  spSpecimen__security,  spSpecimen__tag,  spSpecimen_Accession,  spSpecimen_Collected, 
      //  spSpecimen_Collector,  spSpecimen_Container,  spSpecimen_Containerid,  spSpecimen_Identifier,  spSpecimen_Parent,  spSpecimen_Patient,  spSpecimen_Site_code,  spSpecimen_Site_reference,  spSpecimen_Subject,  spSpecimen_Type);
  PATHS_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'accession: []',
     'collected: []',
     'collector: [frtPractitioner]',
     'container: []',
     'containerid: []',
     'identifier: []',
     'parent: [frtSpecimen]',
     'patient: [frtPatient]',
     'site-code: []',
     'site-reference: [frtBodySite]',
     'subject: [frtDevice, frtPatient, frtSubstance, frtGroup]',
     'type: []');
  TARGETS_TSearchParamsSpecimen : Array[TSearchParamsSpecimen] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [frtPractitioner], [], [], [], [frtSpecimen], [frtPatient], [], [frtBodySite], [frtDevice, frtPatient, frtSubstance, frtGroup], []);
  CODES_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'abstract', 'base', 'code', 'context', 'context-type', 'date', 'description', 'display', 'experimental', 'ext-context', 'identifier', 'name', 'path', 'publisher', 'status', 'type', 'url', 'valueset', 'version');
  DESC_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Whether the structure is abstract',
     'Structure that this set of constraints applies to',
     'A code for the profile',
     'A use context assigned to the structure',
     'resource | datatype | mapping | extension',
     'The profile publication date',
     'Text search in the description of the profile',
     'Use this name when displaying the value',
     'If for testing purposes, not real usage',
     'Where the extension can be used in instances',
     'The identifier of the profile',
     'Name of the profile',
     'A path that is constrained in the profile',
     'Name of the publisher of the profile',
     'The current status of the profile',
     'type | resource | constraint | extension',
     'Literal URL used to reference this StructureDefinition',
     'A vocabulary binding reference',
     'The version identifier of the profile');
  TYPES_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeString, 
       SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of TSearchParamsStructureDefinition = ( spStructureDefinition__id,  spStructureDefinition__language,  spStructureDefinition__lastUpdated,  spStructureDefinition__profile, 
      //  spStructureDefinition__security,  spStructureDefinition__tag,  spStructureDefinition_Abstract,  spStructureDefinition_Base,  spStructureDefinition_Code,  spStructureDefinition_Context,  spStructureDefinition_Context_type,  spStructureDefinition_Date, 
      //  spStructureDefinition_Description,  spStructureDefinition_Display,  spStructureDefinition_Experimental,  spStructureDefinition_Ext_context,  spStructureDefinition_Identifier,  spStructureDefinition_Name,  spStructureDefinition_Path,  spStructureDefinition_Publisher, 
      //  spStructureDefinition_Status,  spStructureDefinition_Type,  spStructureDefinition_Url,  spStructureDefinition_Valueset,  spStructureDefinition_Version);
  PATHS_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'abstract: []',
     'base: []',
     'code: []',
     'context: []',
     'context-type: []',
     'date: []',
     'description: []',
     'display: []',
     'experimental: []',
     'ext-context: []',
     'identifier: []',
     'name: []',
     'path: []',
     'publisher: []',
     'status: []',
     'type: []',
     'url: []',
     'valueset: [frtValueSet]',
     'version: []');
  TARGETS_TSearchParamsStructureDefinition : Array[TSearchParamsStructureDefinition] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [frtValueSet], []);
  CODES_TSearchParamsSubscription : Array[TSearchParamsSubscription] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'contact', 'criteria', 'payload', 'status', 'tag', 'type', 'url');
  DESC_TSearchParamsSubscription : Array[TSearchParamsSubscription] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Contact details for source (e.g. troubleshooting)',
     'Rule for server push criteria',
     'Mimetype to send, or blank for no payload',
     'requested | active | error | off',
     'A tag to add to matching resources',
     'rest-hook | websocket | email | sms | message',
     'Where the channel points to');
  TYPES_TSearchParamsSubscription : Array[TSearchParamsSubscription] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeUri);
//  CHECK_TSearchParamsSubscription : Array[TSearchParamsSubscription] of TSearchParamsSubscription = ( spSubscription__id,  spSubscription__language,  spSubscription__lastUpdated,  spSubscription__profile,  spSubscription__security,  spSubscription__tag, 
      //  spSubscription_Contact,  spSubscription_Criteria,  spSubscription_Payload,  spSubscription_Status,  spSubscription_Tag,  spSubscription_Type,  spSubscription_Url);
  PATHS_TSearchParamsSubscription : Array[TSearchParamsSubscription] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'contact: []',
     'criteria: []',
     'payload: []',
     'status: []',
     'tag: []',
     'type: []',
     'url: []');
  TARGETS_TSearchParamsSubscription : Array[TSearchParamsSubscription] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsSubstance : Array[TSearchParamsSubstance] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'expiry', 'identifier', 'quantity', 'substance', 'type');
  DESC_TSearchParamsSubstance : Array[TSearchParamsSubstance] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'When no longer valid to use',
     'Identifier of the package/container',
     'Amount of substance in the package',
     'A component of the substance',
     'The type of the substance');
  TYPES_TSearchParamsSubstance : Array[TSearchParamsSubstance] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeToken, 
       SearchParamTypeNumber,  SearchParamTypeReference,  SearchParamTypeToken);
//  CHECK_TSearchParamsSubstance : Array[TSearchParamsSubstance] of TSearchParamsSubstance = ( spSubstance__id,  spSubstance__language,  spSubstance__lastUpdated,  spSubstance__profile,  spSubstance__security,  spSubstance__tag,  spSubstance_Expiry,  spSubstance_Identifier, 
      //  spSubstance_Quantity,  spSubstance_Substance,  spSubstance_Type);
  PATHS_TSearchParamsSubstance : Array[TSearchParamsSubstance] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'expiry: []',
     'identifier: []',
     'quantity: []',
     'substance: [frtSubstance]',
     'type: []');
  TARGETS_TSearchParamsSubstance : Array[TSearchParamsSubstance] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [frtSubstance], []);
  CODES_TSearchParamsSupply : Array[TSearchParamsSupply] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'dispenseid', 'dispensestatus', 'identifier', 'kind', 'patient', 'status', 'supplier');
  DESC_TSearchParamsSupply : Array[TSearchParamsSupply] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'External identifier',
     'in-progress | dispensed | abandoned',
     'Unique identifier',
     'The kind of supply (central, non-stock, etc)',
     'Patient for whom the item is supplied',
     'requested | dispensed | received | failed | cancelled',
     'Dispenser');
  TYPES_TSearchParamsSupply : Array[TSearchParamsSupply] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference);
//  CHECK_TSearchParamsSupply : Array[TSearchParamsSupply] of TSearchParamsSupply = ( spSupply__id,  spSupply__language,  spSupply__lastUpdated,  spSupply__profile,  spSupply__security,  spSupply__tag,  spSupply_Dispenseid,  spSupply_Dispensestatus,  spSupply_Identifier, 
      //  spSupply_Kind,  spSupply_Patient,  spSupply_Status,  spSupply_Supplier);
  PATHS_TSearchParamsSupply : Array[TSearchParamsSupply] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'dispenseid: []',
     'dispensestatus: []',
     'identifier: []',
     'kind: []',
     'patient: [frtPatient]',
     'status: []',
     'supplier: [frtPractitioner]');
  TARGETS_TSearchParamsSupply : Array[TSearchParamsSupply] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [frtPatient], [], [frtPractitioner]);
  CODES_TSearchParamsValueSet : Array[TSearchParamsValueSet] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'code', 'context', 'date', 'description', 'expansion', 'identifier', 'name', 'publisher', 'reference', 'status', 'system', 'url', 'version');
  DESC_TSearchParamsValueSet : Array[TSearchParamsValueSet] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'A code defined in the value set',
     'A use context assigned to the value set',
     'The value set publication date',
     'Text search in the description of the value set',
     'Uniquely identifies this expansion',
     'The identifier for the value set',
     'The name of the value set',
     'Name of the publisher of the value set',
     'A code system included or excluded in the value set or an imported value set',
     'The status of the value set',
     'The system for any codes defined by this value set',
     'The logical url for the value set',
     'The version identifier of the value set');
  TYPES_TSearchParamsValueSet : Array[TSearchParamsValueSet] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeToken, 
       SearchParamTypeDate,  SearchParamTypeString,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeString,  SearchParamTypeString,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeUri,  SearchParamTypeUri,  SearchParamTypeToken);
//  CHECK_TSearchParamsValueSet : Array[TSearchParamsValueSet] of TSearchParamsValueSet = ( spValueSet__id,  spValueSet__language,  spValueSet__lastUpdated,  spValueSet__profile,  spValueSet__security,  spValueSet__tag,  spValueSet_Code,  spValueSet_Context, 
      //  spValueSet_Date,  spValueSet_Description,  spValueSet_Expansion,  spValueSet_Identifier,  spValueSet_Name,  spValueSet_Publisher,  spValueSet_Reference,  spValueSet_Status,  spValueSet_System,  spValueSet_Url,  spValueSet_Version);
  PATHS_TSearchParamsValueSet : Array[TSearchParamsValueSet] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'code: []',
     'context: []',
     'date: []',
     'description: []',
     'expansion: []',
     'identifier: []',
     'name: []',
     'publisher: []',
     'reference: []',
     'status: []',
     'system: []',
     'url: []',
     'version: []');
  TARGETS_TSearchParamsValueSet : Array[TSearchParamsValueSet] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], [], []);
  CODES_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of String = ('_id', '_language', '_lastUpdated', '_profile', '_security', '_tag', 'datewritten', 'encounter', 'identifier', 'patient', 'prescriber');
  DESC_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of String = ('Logical id of this artefact',
     'Language of the resource content',
     'When the resource version last changed',
     'Profiles this resource claims to conform to',
     'Security Labels applied to this resource',
     'Tags applied',
     'Return prescriptions written on this date',
     'Return prescriptions with this encounter identity',
     'Return prescriptions with this external identity',
     'The identity of a patient to list dispenses  for',
     'Who authorizes the Vision product');
  TYPES_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of TFhirSearchParamType = ( SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate,  SearchParamTypeUri,  SearchParamTypeToken,  SearchParamTypeToken,  SearchParamTypeDate, 
       SearchParamTypeReference,  SearchParamTypeToken,  SearchParamTypeReference,  SearchParamTypeReference);
//  CHECK_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of TSearchParamsVisionPrescription = ( spVisionPrescription__id,  spVisionPrescription__language,  spVisionPrescription__lastUpdated,  spVisionPrescription__profile,  spVisionPrescription__security, 
      //  spVisionPrescription__tag,  spVisionPrescription_Datewritten,  spVisionPrescription_Encounter,  spVisionPrescription_Identifier,  spVisionPrescription_Patient,  spVisionPrescription_Prescriber);
  PATHS_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of String = ('_id: []',
     '_language: []',
     '_lastUpdated: []',
     '_profile: []',
     '_security: []',
     '_tag: []',
     'datewritten: []',
     'encounter: [frtEncounter]',
     'identifier: []',
     'patient: [frtPatient]',
     'prescriber: [frtPractitioner]');
  TARGETS_TSearchParamsVisionPrescription : Array[TSearchParamsVisionPrescription] of TFhirResourceTypeSet = ([], [], [], [], [], [], [], [frtEncounter], [], [frtPatient], [frtPractitioner]);
  FHIR_GENERATED_VERSION = '0.5.0';

  FHIR_GENERATED_REVISION = '5149';

  FHIR_GENERATED_DATE = '20150403142432';



implementation

end.

